import { ref as k, watch as de, defineComponent as E, useSlots as Et, openBlock as d, createBlock as T, resolveDynamicComponent as se, normalizeClass as C, unref as b, withCtx as _, createCommentVNode as x, createElementBlock as p, renderSlot as P, useAttrs as sr, computed as y, createElementVNode as g, toDisplayString as O, normalizeStyle as Be, createTextVNode as ce, mergeProps as we, createVNode as q, toRef as cr, createStaticVNode as dr, toRefs as lt, withDirectives as $t, vModelCheckbox as Lt, Fragment as ie, Transition as bt, cloneVNode as ur, h as S, inject as N, provide as Z, watchEffect as V, onMounted as B, onUnmounted as I, Teleport as fr, reactive as pr, shallowRef as br, nextTick as vr, withModifiers as Tt, renderList as He } from "vue";
const mr = {
  "--neutral-0": "#ffffff",
  "--neutral-50": "#f9fafb",
  "--neutral-100": "#f3f4f6",
  "--neutral-200": "#e5e7eb",
  "--neutral-300": "#d1d5db",
  "--neutral-400": "#9ca3af",
  "--neutral-500": "#6b7280",
  "--neutral-600": "#4b5563",
  "--neutral-700": "#374151",
  "--neutral-800": "#1f2937",
  "--neutral-900": "#111827",
  "--brand-50": "#f5f8f8",
  "--brand-100": "#eaeeef",
  "--brand-200": "#d2dadb",
  "--brand-300": "#acbdbd",
  "--brand-400": "#8ea6a6",
  "--brand-500": "#437571",
  "--brand-600": "#004e48",
  "--brand-700": "#023d38",
  "--brand-800": "#021f1c",
  "--brand-900": "#020a0b",
  "--green-50": "#eefff4",
  "--green-100": "#d7ffe7",
  "--green-200": "#b2ffd1",
  "--green-300": "#7dffb3",
  "--green-400": "#33f584",
  "--green-500": "#09de62",
  "--green-600": "#01b84e",
  "--green-700": "#059040",
  "--green-800": "#0a7137",
  "--green-900": "#0a5d2f",
  "--lime-50": "#f7ffe4",
  "--lime-100": "#ebffc4",
  "--lime-200": "#d8ff90",
  "--lime-300": "#bbff50",
  "--lime-400": "#a9ff34",
  "--lime-500": "#7fe600",
  "--lime-600": "#61b800",
  "--lime-700": "#498b00",
  "--lime-800": "#3b6d07",
  "--lime-900": "#335c0b",
  "--teal-50": "#effefd",
  "--teal-100": "#c7fffa",
  "--teal-200": "#7dfff4",
  "--teal-300": "#50f8ef",
  "--teal-400": "#1de4e1",
  "--teal-500": "#04c8c7",
  "--teal-600": "#009da1",
  "--teal-700": "#057d80",
  "--teal-800": "#0a6165",
  "--teal-900": "#0d5154",
  "--blue-50": "#eef9ff",
  "--blue-100": "#d9f1ff",
  "--blue-200": "#bce8ff",
  "--blue-300": "#8edbff",
  "--blue-400": "#59c5ff",
  "--blue-500": "#34a9ff",
  "--blue-600": "#1b8af5",
  "--blue-700": "#1472e1",
  "--blue-800": "#175bb6",
  "--blue-900": "#194e8f",
  "--purple-50": "#f9f4ff",
  "--purple-100": "#f0e5ff",
  "--purple-200": "#e4d0ff",
  "--purple-300": "#d0acff",
  "--purple-400": "#b276ff",
  "--purple-500": "#9542ff",
  "--purple-600": "#8a34ff",
  "--purple-700": "#6a0ee2",
  "--purple-800": "#5b12b7",
  "--purple-900": "#4c1093",
  "--pink-50": "#fef1f9",
  "--pink-100": "#fee5f5",
  "--pink-200": "#ffcaed",
  "--pink-300": "#ff9fdd",
  "--pink-400": "#ff63c4",
  "--pink-500": "#ff34a9",
  "--pink-600": "#f01287",
  "--pink-700": "#d1056b",
  "--pink-800": "#ad0758",
  "--pink-900": "#8f0c4c",
  "--red-50": "#fff1f1",
  "--red-100": "#ffe3e3",
  "--red-200": "#ffcccf",
  "--red-300": "#ffa1a7",
  "--red-400": "#ff7d88",
  "--red-500": "#f93a4f",
  "--red-600": "#e71738",
  "--red-700": "#c30d2e",
  "--red-800": "#a30e2e",
  "--red-900": "#8b102f",
  "--orange-50": "#fff5ed",
  "--orange-100": "#ffe9d4",
  "--orange-200": "#ffcfa9",
  "--orange-300": "#ffb37d",
  "--orange-400": "#fe7f39",
  "--orange-500": "#fc5c13",
  "--orange-600": "#ed4109",
  "--orange-700": "#c52e09",
  "--orange-800": "#9c2610",
  "--orange-900": "#7e2111",
  "--yellow-50": "#fefde8",
  "--yellow-100": "#fffdc2",
  "--yellow-200": "#fff87b",
  "--yellow-300": "#ffee45",
  "--yellow-400": "#fcdd13",
  "--yellow-500": "#ecc406",
  "--yellow-600": "#cc9902",
  "--yellow-700": "#a26d06",
  "--yellow-800": "#86550d",
  "--yellow-900": "#724611",
  "--silver-tree-50": "#f3faf7",
  "--silver-tree-100": "#d8efe5",
  "--silver-tree-200": "#b1decc",
  "--silver-tree-300": "#82c6ad",
  "--silver-tree-400": "#5cab91",
  "--silver-tree-500": "#3e8e75",
  "--silver-tree-600": "#30715e",
  "--silver-tree-700": "#2a5b4e",
  "--silver-tree-800": "#254a40",
  "--silver-tree-900": "#223f37",
  "--gimblet-50": "#faf9f2",
  "--gimblet-100": "#f3f1e1",
  "--gimblet-200": "#e5e1c3",
  "--gimblet-300": "#d5cd9c",
  "--gimblet-400": "#bdac67",
  "--gimblet-500": "#b6a059",
  "--gimblet-600": "#a98d4d",
  "--gimblet-700": "#8c7142",
  "--gimblet-800": "#725c3a",
  "--gimblet-900": "#5d4b31",
  "--mongoose-50": "#f9f7f3",
  "--mongoose-100": "#f2ede2",
  "--mongoose-200": "#e4d9c4",
  "--mongoose-300": "#d2bf9f",
  "--mongoose-400": "#bfa178",
  "--mongoose-500": "#b28b5d",
  "--mongoose-600": "#a47852",
  "--mongoose-700": "#896245",
  "--mongoose-800": "#6f4f3d",
  "--mongoose-900": "#5b4233",
  "--muddy-waters-50": "#f9f4f1",
  "--muddy-waters-100": "#eedfd7",
  "--muddy-waters-200": "#dbbeac",
  "--muddy-waters-300": "#c89a81",
  "--muddy-waters-400": "#bd8167",
  "--muddy-waters-500": "#b06450",
  "--muddy-waters-600": "#9b4f44",
  "--muddy-waters-700": "#813d3c",
  "--muddy-waters-800": "#6b3538",
  "--muddy-waters-900": "#592e30",
  "--viola-50": "#faf5f7",
  "--viola-100": "#f6edf1",
  "--viola-200": "#eedce3",
  "--viola-300": "#e2bfcc",
  "--viola-400": "#ce97ab",
  "--viola-500": "#bc788f",
  "--viola-600": "#a75b71",
  "--viola-700": "#8e485a",
  "--viola-800": "#763e4c",
  "--viola-900": "#643742",
  "--light-wisteria-50": "#fbf8fc",
  "--light-wisteria-100": "#f6eef9",
  "--light-wisteria-200": "#f0e0f4",
  "--light-wisteria-300": "#e3c7eb",
  "--light-wisteria-400": "#d0a3dd",
  "--light-wisteria-500": "#bd7fcd",
  "--light-wisteria-600": "#aa62bb",
  "--light-wisteria-700": "#924ea2",
  "--light-wisteria-800": "#7a4485",
  "--light-wisteria-900": "#63386b",
  "--cold-purple-50": "#f6f6fc",
  "--cold-purple-100": "#efeef9",
  "--cold-purple-200": "#e1e0f4",
  "--cold-purple-300": "#cac6ec",
  "--cold-purple-400": "#a69ddc",
  "--cold-purple-500": "#9181d1",
  "--cold-purple-600": "#7d65c2",
  "--cold-purple-700": "#6c53ae",
  "--cold-purple-800": "#5b4592",
  "--cold-purple-900": "#4b3a78",
  "--polo-blue-50": "#f4f6fa",
  "--polo-blue-100": "#e6ebf3",
  "--polo-blue-200": "#d2dbeb",
  "--polo-blue-300": "#b4c4dc",
  "--polo-blue-400": "#97abce",
  "--polo-blue-500": "#758abc",
  "--polo-blue-600": "#6274ae",
  "--polo-blue-700": "#57639e",
  "--polo-blue-800": "#4b5382",
  "--polo-blue-900": "#3f4669",
  "--neptune-50": "#f2f9f9",
  "--neptune-100": "#ddeef0",
  "--neptune-200": "#bfdfe2",
  "--neptune-300": "#92c7ce",
  "--neptune-400": "#74b2bc",
  "--neptune-500": "#438a97",
  "--neptune-600": "#3a7280",
  "--neptune-700": "#345e6a",
  "--neptune-800": "#314f59",
  "--neptune-900": "#2d444c",
  "--mantis-50": "#f5faf3",
  "--mantis-100": "#e7f5e3",
  "--mantis-200": "#cfeac8",
  "--mantis-300": "#a9d89d",
  "--mantis-400": "#78bd67",
  "--mantis-500": "#57a245",
  "--mantis-600": "#448534",
  "--mantis-700": "#37692c",
  "--mantis-800": "#2f5427",
  "--mantis-900": "#284522",
  "--isbre-50": "#FCFDFD",
  "--isbre-100": "#F6F9F9",
  "--isbre-200": "#F1F5F5",
  "--isbre-300": "#ECF1F1",
  "--isbre-400": "#E6EDED",
  "--isbre-500": "#E1E8E9",
  "--isbre-600": "#DCE4E4",
  "--isbre-700": "#D7DFE0",
  "--text-primary": "var(--neutral-900)",
  "--text-secondary": "var(--neutral-600)",
  "--text-tertiary": "var(--neutral-400)",
  "--text-success": "var(--green-900)",
  "--text-warning": "var(--yellow-900)",
  "--text-danger": "var(--red-900)",
  "--text-info": "var(--blue-900)",
  "--text-emphasis": "var(--neutral-0)",
  "--text-interactive": "var(--silver-tree-600)",
  "--text-interactive-hover": "var(--silver-tree-700)",
  "--text-interactive-active": "var(--silver-tree-500)",
  "--text-button-primary": "var(--neutral-0)",
  "--text-button-secondary": "var(--neutral-900)",
  "--text-button-tertiary": "var(--silver-tree-600)",
  "--text-button-tertiary-hover": "var(--silver-tree-700)",
  "--text-button-tertiary-active": "var(--silver-tree-500)",
  "--text-button-danger-primary": "var(--neutral-0)",
  "--text-button-danger-secondary": "var(--red-800)",
  "--text-button-danger-tertiary": "var(--neutral-900)",
  "--text-button-danger-tertiary-hover": "var(--red-800)",
  "--text-button-danger-tertiary-active": "var(--red-600)",
  "--border-on-primary": "var(--neutral-200)",
  "--border-on-secondary": "var(--neutral-300)",
  "--border-on-tertiary": "var(--neutral-400)",
  "--border-success": "rgba(10,92,47,0.4)",
  "--border-warning": "rgba(115,71,17,0.4)",
  "--border-danger": "rgba(137,16,46,0.4)",
  "--border-info": "rgba(25,78,143,0.4)",
  "--border-emphasis": "var(--neutral-800)",
  "--border-button-primary": "var(--silver-tree-700)",
  "--border-button-primary-hover": "var(--silver-tree-800)",
  "--border-button-primary-active": "var(--silver-tree-600)",
  "--border-button-secondary": "var(--neutral-300)",
  "--border-button-secondary-hover": "var(--neutral-900)",
  "--border-button-secondary-active": "var(--neutral-400)",
  "--border-button-danger-primary": "var(--red-800)",
  "--border-button-danger-primary-hover": "var(--red-900)",
  "--border-button-danger-primary-active": "var(--red-700)",
  "--border-button-danger-secondary": "var(--neutral-300)",
  "--border-button-danger-secondary-hover": "var(--red-800)",
  "--border-button-danger-secondary-active": "var(--red-700)",
  "--bg-primary": "var(--neutral-0)",
  "--bg-primary-hover": "var(--isbre-50)",
  "--bg-primary-active": "var(--isbre-200)",
  "--bg-secondary": "var(--isbre-100)",
  "--bg-secondary-hover": "var(--isbre-200)",
  "--bg-secondary-active": "var(--isbre-300)",
  "--bg-tertiary": "var(--isbre-400)",
  "--bg-tertiary-hover": "var(--isbre-500)",
  "--bg-tertiary-active": "var(--isbre-600)",
  "--bg-success": "var(--green-50)",
  "--bg-warning": "var(--yellow-50)",
  "--bg-danger": "var(--red-50)",
  "--bg-info": "var(--blue-50)",
  "--bg-emphasis": "var(--neutral-900)",
  "--bg-button-primary": "var(--silver-tree-600)",
  "--bg-button-primary-hover": "var(--silver-tree-700)",
  "--bg-button-primary-active": "var(--silver-tree-500)",
  "--bg-button-secondary": "var(--neutral-0)",
  "--bg-button-secondary-hover": "var(--neutral-50)",
  "--bg-button-secondary-active": "var(--neutral-50)",
  "--bg-button-danger-primary": "var(--red-700)",
  "--bg-button-danger-primary-hover": "var(--red-800)",
  "--bg-button-danger-primary-active": "var(--red-600)",
  "--bg-button-danger-secondary": "var(--neutral-0)",
  "--bg-button-danger-secondary-hover": "var(--red-50)",
  "--bg-button-danger-secondary-active": "var(--red-50)"
}, gr = {
  "--text-primary": "var(--neutral-0)",
  "--text-secondary": "var(--brand-200)",
  "--text-tertiary": "var(--brand-400)",
  "--text-interactive": "#D8B9A6",
  "--text-interactive-hover": "var(--muddy-waters-300)",
  "--text-interactive-active": "#DFC5B4",
  "--text-button-primary": "var(--brand-800)",
  "--text-button-secondary": "var(--muddy-waters-200)",
  "--text-button-tertiary": "var(--muddy-waters-200)",
  "--text-button-tertiary-hover": "var(--muddy-waters-300)",
  "--text-button-tertiary-active": "#DFC5B4",
  "--border-on-primary": "var(--brand-400)",
  "--border-on-secondary": "var(--brand-300)",
  "--border-on-tertiary": "var(--brand-200)",
  "--border-button-primary-hover": "var(--muddy-waters-200)",
  "--border-button-primary-active": "var(--muddy-waters-50)",
  "--border-button-secondary": "var(--brand-500)",
  "--border-button-secondary-hover": "var(--brand-400)",
  "--border-button-secondary-active": "var(--brand-400)",
  "--bg-primary": "var(--brand-600)",
  "--bg-primary-hover": "var(--brand-700)",
  "--bg-primary-active": "var(--brand-500)",
  "--bg-secondary": "var(--brand-500)",
  "--bg-secondary-hover": "var(--brand-600)",
  "--bg-secondary-active": "var(--brand-400)",
  "--bg-tertiary": "var(--brand-400)",
  "--bg-tertiary-hover": "var(--brand-500)",
  "--bg-tertiary-active": "var(--brand-300)",
  "--bg-button-primary": "#D8B9A6",
  "--bg-button-primary-hover": "var(--muddy-waters-300)",
  "--bg-button-primary-active": "#DFC5B4",
  "--bg-button-secondary": "#00524B",
  "--bg-button-secondary-hover": "#004D47",
  "--bg-button-secondary-active": "#006159"
};
function Ct(e) {
  return e && e.__esModule && Object.prototype.hasOwnProperty.call(e, "default") ? e.default : e;
}
var yr = {
  aqua: /#00ffff(ff)?(?!\w)|#0ff(f)?(?!\w)/gi,
  azure: /#f0ffff(ff)?(?!\w)/gi,
  beige: /#f5f5dc(ff)?(?!\w)/gi,
  bisque: /#ffe4c4(ff)?(?!\w)/gi,
  black: /#000000(ff)?(?!\w)|#000(f)?(?!\w)/gi,
  blue: /#0000ff(ff)?(?!\w)|#00f(f)?(?!\w)/gi,
  brown: /#a52a2a(ff)?(?!\w)/gi,
  coral: /#ff7f50(ff)?(?!\w)/gi,
  cornsilk: /#fff8dc(ff)?(?!\w)/gi,
  crimson: /#dc143c(ff)?(?!\w)/gi,
  cyan: /#00ffff(ff)?(?!\w)|#0ff(f)?(?!\w)/gi,
  darkblue: /#00008b(ff)?(?!\w)/gi,
  darkcyan: /#008b8b(ff)?(?!\w)/gi,
  darkgrey: /#a9a9a9(ff)?(?!\w)/gi,
  darkred: /#8b0000(ff)?(?!\w)/gi,
  deeppink: /#ff1493(ff)?(?!\w)/gi,
  dimgrey: /#696969(ff)?(?!\w)/gi,
  gold: /#ffd700(ff)?(?!\w)/gi,
  green: /#008000(ff)?(?!\w)/gi,
  grey: /#808080(ff)?(?!\w)/gi,
  honeydew: /#f0fff0(ff)?(?!\w)/gi,
  hotpink: /#ff69b4(ff)?(?!\w)/gi,
  indigo: /#4b0082(ff)?(?!\w)/gi,
  ivory: /#fffff0(ff)?(?!\w)/gi,
  khaki: /#f0e68c(ff)?(?!\w)/gi,
  lavender: /#e6e6fa(ff)?(?!\w)/gi,
  lime: /#00ff00(ff)?(?!\w)|#0f0(f)?(?!\w)/gi,
  linen: /#faf0e6(ff)?(?!\w)/gi,
  maroon: /#800000(ff)?(?!\w)/gi,
  moccasin: /#ffe4b5(ff)?(?!\w)/gi,
  navy: /#000080(ff)?(?!\w)/gi,
  oldlace: /#fdf5e6(ff)?(?!\w)/gi,
  olive: /#808000(ff)?(?!\w)/gi,
  orange: /#ffa500(ff)?(?!\w)/gi,
  orchid: /#da70d6(ff)?(?!\w)/gi,
  peru: /#cd853f(ff)?(?!\w)/gi,
  pink: /#ffc0cb(ff)?(?!\w)/gi,
  plum: /#dda0dd(ff)?(?!\w)/gi,
  purple: /#800080(ff)?(?!\w)/gi,
  red: /#ff0000(ff)?(?!\w)|#f00(f)?(?!\w)/gi,
  salmon: /#fa8072(ff)?(?!\w)/gi,
  seagreen: /#2e8b57(ff)?(?!\w)/gi,
  seashell: /#fff5ee(ff)?(?!\w)/gi,
  sienna: /#a0522d(ff)?(?!\w)/gi,
  silver: /#c0c0c0(ff)?(?!\w)/gi,
  skyblue: /#87ceeb(ff)?(?!\w)/gi,
  snow: /#fffafa(ff)?(?!\w)/gi,
  tan: /#d2b48c(ff)?(?!\w)/gi,
  teal: /#008080(ff)?(?!\w)/gi,
  thistle: /#d8bfd8(ff)?(?!\w)/gi,
  tomato: /#ff6347(ff)?(?!\w)/gi,
  violet: /#ee82ee(ff)?(?!\w)/gi,
  wheat: /#f5deb3(ff)?(?!\w)/gi,
  white: /#ffffff(ff)?(?!\w)|#fff(f)?(?!\w)/gi
}, Ve = yr, st = {
  whitespace: /\s+/g,
  urlHexPairs: /%[\dA-F]{2}/g,
  quotes: /"/g
};
function hr(e) {
  return e.trim().replace(st.whitespace, " ");
}
function wr(e) {
  return encodeURIComponent(e).replace(st.urlHexPairs, kr);
}
function xr(e) {
  return Object.keys(Ve).forEach(function(t) {
    Ve[t].test(e) && (e = e.replace(Ve[t], t));
  }), e;
}
function kr(e) {
  switch (e) {
    case "%20":
      return " ";
    case "%3D":
      return "=";
    case "%3A":
      return ":";
    case "%2F":
      return "/";
    default:
      return e.toLowerCase();
  }
}
function Ye(e) {
  if (typeof e != "string")
    throw new TypeError("Expected a string, but received " + typeof e);
  e.charCodeAt(0) === 65279 && (e = e.slice(1));
  var t = xr(hr(e)).replace(st.quotes, "'");
  return "data:image/svg+xml," + wr(t);
}
Ye.toSrcset = function(t) {
  return Ye(t).replace(/ /g, "%20");
};
var Er = Ye, Ft = {}, At = {};
(function(e) {
  Object.defineProperty(e, "__esModule", {
    value: !0
  }), Object.defineProperty(e, "default", {
    enumerable: !0,
    get: function() {
      return r;
    }
  });
  function t(a, n) {
    return {
      handler: a,
      config: n
    };
  }
  t.withOptions = function(a, n = () => ({})) {
    const o = function(l) {
      return {
        __options: l,
        handler: a(l),
        config: n(l)
      };
    };
    return o.__isOptionsFunction = !0, o.__pluginFunction = a, o.__configFunction = n, o;
  };
  const r = t;
})(At);
(function(e) {
  Object.defineProperty(e, "__esModule", {
    value: !0
  }), Object.defineProperty(e, "default", {
    enumerable: !0,
    get: function() {
      return a;
    }
  });
  const t = /* @__PURE__ */ r(At);
  function r(n) {
    return n && n.__esModule ? n : {
      default: n
    };
  }
  const a = t.default;
})(Ft);
let Ie = Ft;
var $r = (Ie.__esModule ? Ie : { default: Ie }).default, Dt = {}, _t = {};
(function(e) {
  Object.defineProperty(e, "__esModule", {
    value: !0
  }), Object.defineProperty(e, "cloneDeep", {
    enumerable: !0,
    get: function() {
      return t;
    }
  });
  function t(r) {
    return Array.isArray(r) ? r.map((a) => t(a)) : typeof r == "object" && r !== null ? Object.fromEntries(Object.entries(r).map(([a, n]) => [
      a,
      t(n)
    ])) : r;
  }
})(_t);
var Lr = {
  content: [],
  presets: [],
  darkMode: "media",
  // or 'class'
  theme: {
    accentColor: ({ theme: e }) => ({
      ...e("colors"),
      auto: "auto"
    }),
    animation: {
      none: "none",
      spin: "spin 1s linear infinite",
      ping: "ping 1s cubic-bezier(0, 0, 0.2, 1) infinite",
      pulse: "pulse 2s cubic-bezier(0.4, 0, 0.6, 1) infinite",
      bounce: "bounce 1s infinite"
    },
    aria: {
      checked: 'checked="true"',
      disabled: 'disabled="true"',
      expanded: 'expanded="true"',
      hidden: 'hidden="true"',
      pressed: 'pressed="true"',
      readonly: 'readonly="true"',
      required: 'required="true"',
      selected: 'selected="true"'
    },
    aspectRatio: {
      auto: "auto",
      square: "1 / 1",
      video: "16 / 9"
    },
    backdropBlur: ({ theme: e }) => e("blur"),
    backdropBrightness: ({ theme: e }) => e("brightness"),
    backdropContrast: ({ theme: e }) => e("contrast"),
    backdropGrayscale: ({ theme: e }) => e("grayscale"),
    backdropHueRotate: ({ theme: e }) => e("hueRotate"),
    backdropInvert: ({ theme: e }) => e("invert"),
    backdropOpacity: ({ theme: e }) => e("opacity"),
    backdropSaturate: ({ theme: e }) => e("saturate"),
    backdropSepia: ({ theme: e }) => e("sepia"),
    backgroundColor: ({ theme: e }) => e("colors"),
    backgroundImage: {
      none: "none",
      "gradient-to-t": "linear-gradient(to top, var(--tw-gradient-stops))",
      "gradient-to-tr": "linear-gradient(to top right, var(--tw-gradient-stops))",
      "gradient-to-r": "linear-gradient(to right, var(--tw-gradient-stops))",
      "gradient-to-br": "linear-gradient(to bottom right, var(--tw-gradient-stops))",
      "gradient-to-b": "linear-gradient(to bottom, var(--tw-gradient-stops))",
      "gradient-to-bl": "linear-gradient(to bottom left, var(--tw-gradient-stops))",
      "gradient-to-l": "linear-gradient(to left, var(--tw-gradient-stops))",
      "gradient-to-tl": "linear-gradient(to top left, var(--tw-gradient-stops))"
    },
    backgroundOpacity: ({ theme: e }) => e("opacity"),
    backgroundPosition: {
      bottom: "bottom",
      center: "center",
      left: "left",
      "left-bottom": "left bottom",
      "left-top": "left top",
      right: "right",
      "right-bottom": "right bottom",
      "right-top": "right top",
      top: "top"
    },
    backgroundSize: {
      auto: "auto",
      cover: "cover",
      contain: "contain"
    },
    blur: {
      0: "0",
      none: "0",
      sm: "4px",
      DEFAULT: "8px",
      md: "12px",
      lg: "16px",
      xl: "24px",
      "2xl": "40px",
      "3xl": "64px"
    },
    borderColor: ({ theme: e }) => ({
      ...e("colors"),
      DEFAULT: e("colors.gray.200", "currentColor")
    }),
    borderOpacity: ({ theme: e }) => e("opacity"),
    borderRadius: {
      none: "0px",
      sm: "0.125rem",
      DEFAULT: "0.25rem",
      md: "0.375rem",
      lg: "0.5rem",
      xl: "0.75rem",
      "2xl": "1rem",
      "3xl": "1.5rem",
      full: "9999px"
    },
    borderSpacing: ({ theme: e }) => ({
      ...e("spacing")
    }),
    borderWidth: {
      DEFAULT: "1px",
      0: "0px",
      2: "2px",
      4: "4px",
      8: "8px"
    },
    boxShadow: {
      sm: "0 1px 2px 0 rgb(0 0 0 / 0.05)",
      DEFAULT: "0 1px 3px 0 rgb(0 0 0 / 0.1), 0 1px 2px -1px rgb(0 0 0 / 0.1)",
      md: "0 4px 6px -1px rgb(0 0 0 / 0.1), 0 2px 4px -2px rgb(0 0 0 / 0.1)",
      lg: "0 10px 15px -3px rgb(0 0 0 / 0.1), 0 4px 6px -4px rgb(0 0 0 / 0.1)",
      xl: "0 20px 25px -5px rgb(0 0 0 / 0.1), 0 8px 10px -6px rgb(0 0 0 / 0.1)",
      "2xl": "0 25px 50px -12px rgb(0 0 0 / 0.25)",
      inner: "inset 0 2px 4px 0 rgb(0 0 0 / 0.05)",
      none: "none"
    },
    boxShadowColor: ({ theme: e }) => e("colors"),
    brightness: {
      0: "0",
      50: ".5",
      75: ".75",
      90: ".9",
      95: ".95",
      100: "1",
      105: "1.05",
      110: "1.1",
      125: "1.25",
      150: "1.5",
      200: "2"
    },
    caretColor: ({ theme: e }) => e("colors"),
    colors: ({ colors: e }) => ({
      inherit: e.inherit,
      current: e.current,
      transparent: e.transparent,
      black: e.black,
      white: e.white,
      slate: e.slate,
      gray: e.gray,
      zinc: e.zinc,
      neutral: e.neutral,
      stone: e.stone,
      red: e.red,
      orange: e.orange,
      amber: e.amber,
      yellow: e.yellow,
      lime: e.lime,
      green: e.green,
      emerald: e.emerald,
      teal: e.teal,
      cyan: e.cyan,
      sky: e.sky,
      blue: e.blue,
      indigo: e.indigo,
      violet: e.violet,
      purple: e.purple,
      fuchsia: e.fuchsia,
      pink: e.pink,
      rose: e.rose
    }),
    columns: {
      auto: "auto",
      1: "1",
      2: "2",
      3: "3",
      4: "4",
      5: "5",
      6: "6",
      7: "7",
      8: "8",
      9: "9",
      10: "10",
      11: "11",
      12: "12",
      "3xs": "16rem",
      "2xs": "18rem",
      xs: "20rem",
      sm: "24rem",
      md: "28rem",
      lg: "32rem",
      xl: "36rem",
      "2xl": "42rem",
      "3xl": "48rem",
      "4xl": "56rem",
      "5xl": "64rem",
      "6xl": "72rem",
      "7xl": "80rem"
    },
    container: {},
    content: {
      none: "none"
    },
    contrast: {
      0: "0",
      50: ".5",
      75: ".75",
      100: "1",
      125: "1.25",
      150: "1.5",
      200: "2"
    },
    cursor: {
      auto: "auto",
      default: "default",
      pointer: "pointer",
      wait: "wait",
      text: "text",
      move: "move",
      help: "help",
      "not-allowed": "not-allowed",
      none: "none",
      "context-menu": "context-menu",
      progress: "progress",
      cell: "cell",
      crosshair: "crosshair",
      "vertical-text": "vertical-text",
      alias: "alias",
      copy: "copy",
      "no-drop": "no-drop",
      grab: "grab",
      grabbing: "grabbing",
      "all-scroll": "all-scroll",
      "col-resize": "col-resize",
      "row-resize": "row-resize",
      "n-resize": "n-resize",
      "e-resize": "e-resize",
      "s-resize": "s-resize",
      "w-resize": "w-resize",
      "ne-resize": "ne-resize",
      "nw-resize": "nw-resize",
      "se-resize": "se-resize",
      "sw-resize": "sw-resize",
      "ew-resize": "ew-resize",
      "ns-resize": "ns-resize",
      "nesw-resize": "nesw-resize",
      "nwse-resize": "nwse-resize",
      "zoom-in": "zoom-in",
      "zoom-out": "zoom-out"
    },
    divideColor: ({ theme: e }) => e("borderColor"),
    divideOpacity: ({ theme: e }) => e("borderOpacity"),
    divideWidth: ({ theme: e }) => e("borderWidth"),
    dropShadow: {
      sm: "0 1px 1px rgb(0 0 0 / 0.05)",
      DEFAULT: ["0 1px 2px rgb(0 0 0 / 0.1)", "0 1px 1px rgb(0 0 0 / 0.06)"],
      md: ["0 4px 3px rgb(0 0 0 / 0.07)", "0 2px 2px rgb(0 0 0 / 0.06)"],
      lg: ["0 10px 8px rgb(0 0 0 / 0.04)", "0 4px 3px rgb(0 0 0 / 0.1)"],
      xl: ["0 20px 13px rgb(0 0 0 / 0.03)", "0 8px 5px rgb(0 0 0 / 0.08)"],
      "2xl": "0 25px 25px rgb(0 0 0 / 0.15)",
      none: "0 0 #0000"
    },
    fill: ({ theme: e }) => ({
      none: "none",
      ...e("colors")
    }),
    flex: {
      1: "1 1 0%",
      auto: "1 1 auto",
      initial: "0 1 auto",
      none: "none"
    },
    flexBasis: ({ theme: e }) => ({
      auto: "auto",
      ...e("spacing"),
      "1/2": "50%",
      "1/3": "33.333333%",
      "2/3": "66.666667%",
      "1/4": "25%",
      "2/4": "50%",
      "3/4": "75%",
      "1/5": "20%",
      "2/5": "40%",
      "3/5": "60%",
      "4/5": "80%",
      "1/6": "16.666667%",
      "2/6": "33.333333%",
      "3/6": "50%",
      "4/6": "66.666667%",
      "5/6": "83.333333%",
      "1/12": "8.333333%",
      "2/12": "16.666667%",
      "3/12": "25%",
      "4/12": "33.333333%",
      "5/12": "41.666667%",
      "6/12": "50%",
      "7/12": "58.333333%",
      "8/12": "66.666667%",
      "9/12": "75%",
      "10/12": "83.333333%",
      "11/12": "91.666667%",
      full: "100%"
    }),
    flexGrow: {
      0: "0",
      DEFAULT: "1"
    },
    flexShrink: {
      0: "0",
      DEFAULT: "1"
    },
    fontFamily: {
      sans: [
        "ui-sans-serif",
        "system-ui",
        "-apple-system",
        "BlinkMacSystemFont",
        '"Segoe UI"',
        "Roboto",
        '"Helvetica Neue"',
        "Arial",
        '"Noto Sans"',
        "sans-serif",
        '"Apple Color Emoji"',
        '"Segoe UI Emoji"',
        '"Segoe UI Symbol"',
        '"Noto Color Emoji"'
      ],
      serif: ["ui-serif", "Georgia", "Cambria", '"Times New Roman"', "Times", "serif"],
      mono: [
        "ui-monospace",
        "SFMono-Regular",
        "Menlo",
        "Monaco",
        "Consolas",
        '"Liberation Mono"',
        '"Courier New"',
        "monospace"
      ]
    },
    fontSize: {
      xs: ["0.75rem", { lineHeight: "1rem" }],
      sm: ["0.875rem", { lineHeight: "1.25rem" }],
      base: ["1rem", { lineHeight: "1.5rem" }],
      lg: ["1.125rem", { lineHeight: "1.75rem" }],
      xl: ["1.25rem", { lineHeight: "1.75rem" }],
      "2xl": ["1.5rem", { lineHeight: "2rem" }],
      "3xl": ["1.875rem", { lineHeight: "2.25rem" }],
      "4xl": ["2.25rem", { lineHeight: "2.5rem" }],
      "5xl": ["3rem", { lineHeight: "1" }],
      "6xl": ["3.75rem", { lineHeight: "1" }],
      "7xl": ["4.5rem", { lineHeight: "1" }],
      "8xl": ["6rem", { lineHeight: "1" }],
      "9xl": ["8rem", { lineHeight: "1" }]
    },
    fontWeight: {
      thin: "100",
      extralight: "200",
      light: "300",
      normal: "400",
      medium: "500",
      semibold: "600",
      bold: "700",
      extrabold: "800",
      black: "900"
    },
    gap: ({ theme: e }) => e("spacing"),
    gradientColorStops: ({ theme: e }) => e("colors"),
    gradientColorStopPositions: {
      "0%": "0%",
      "5%": "5%",
      "10%": "10%",
      "15%": "15%",
      "20%": "20%",
      "25%": "25%",
      "30%": "30%",
      "35%": "35%",
      "40%": "40%",
      "45%": "45%",
      "50%": "50%",
      "55%": "55%",
      "60%": "60%",
      "65%": "65%",
      "70%": "70%",
      "75%": "75%",
      "80%": "80%",
      "85%": "85%",
      "90%": "90%",
      "95%": "95%",
      "100%": "100%"
    },
    grayscale: {
      0: "0",
      DEFAULT: "100%"
    },
    gridAutoColumns: {
      auto: "auto",
      min: "min-content",
      max: "max-content",
      fr: "minmax(0, 1fr)"
    },
    gridAutoRows: {
      auto: "auto",
      min: "min-content",
      max: "max-content",
      fr: "minmax(0, 1fr)"
    },
    gridColumn: {
      auto: "auto",
      "span-1": "span 1 / span 1",
      "span-2": "span 2 / span 2",
      "span-3": "span 3 / span 3",
      "span-4": "span 4 / span 4",
      "span-5": "span 5 / span 5",
      "span-6": "span 6 / span 6",
      "span-7": "span 7 / span 7",
      "span-8": "span 8 / span 8",
      "span-9": "span 9 / span 9",
      "span-10": "span 10 / span 10",
      "span-11": "span 11 / span 11",
      "span-12": "span 12 / span 12",
      "span-full": "1 / -1"
    },
    gridColumnEnd: {
      auto: "auto",
      1: "1",
      2: "2",
      3: "3",
      4: "4",
      5: "5",
      6: "6",
      7: "7",
      8: "8",
      9: "9",
      10: "10",
      11: "11",
      12: "12",
      13: "13"
    },
    gridColumnStart: {
      auto: "auto",
      1: "1",
      2: "2",
      3: "3",
      4: "4",
      5: "5",
      6: "6",
      7: "7",
      8: "8",
      9: "9",
      10: "10",
      11: "11",
      12: "12",
      13: "13"
    },
    gridRow: {
      auto: "auto",
      "span-1": "span 1 / span 1",
      "span-2": "span 2 / span 2",
      "span-3": "span 3 / span 3",
      "span-4": "span 4 / span 4",
      "span-5": "span 5 / span 5",
      "span-6": "span 6 / span 6",
      "span-full": "1 / -1"
    },
    gridRowEnd: {
      auto: "auto",
      1: "1",
      2: "2",
      3: "3",
      4: "4",
      5: "5",
      6: "6",
      7: "7"
    },
    gridRowStart: {
      auto: "auto",
      1: "1",
      2: "2",
      3: "3",
      4: "4",
      5: "5",
      6: "6",
      7: "7"
    },
    gridTemplateColumns: {
      none: "none",
      1: "repeat(1, minmax(0, 1fr))",
      2: "repeat(2, minmax(0, 1fr))",
      3: "repeat(3, minmax(0, 1fr))",
      4: "repeat(4, minmax(0, 1fr))",
      5: "repeat(5, minmax(0, 1fr))",
      6: "repeat(6, minmax(0, 1fr))",
      7: "repeat(7, minmax(0, 1fr))",
      8: "repeat(8, minmax(0, 1fr))",
      9: "repeat(9, minmax(0, 1fr))",
      10: "repeat(10, minmax(0, 1fr))",
      11: "repeat(11, minmax(0, 1fr))",
      12: "repeat(12, minmax(0, 1fr))"
    },
    gridTemplateRows: {
      none: "none",
      1: "repeat(1, minmax(0, 1fr))",
      2: "repeat(2, minmax(0, 1fr))",
      3: "repeat(3, minmax(0, 1fr))",
      4: "repeat(4, minmax(0, 1fr))",
      5: "repeat(5, minmax(0, 1fr))",
      6: "repeat(6, minmax(0, 1fr))"
    },
    height: ({ theme: e }) => ({
      auto: "auto",
      ...e("spacing"),
      "1/2": "50%",
      "1/3": "33.333333%",
      "2/3": "66.666667%",
      "1/4": "25%",
      "2/4": "50%",
      "3/4": "75%",
      "1/5": "20%",
      "2/5": "40%",
      "3/5": "60%",
      "4/5": "80%",
      "1/6": "16.666667%",
      "2/6": "33.333333%",
      "3/6": "50%",
      "4/6": "66.666667%",
      "5/6": "83.333333%",
      full: "100%",
      screen: "100vh",
      min: "min-content",
      max: "max-content",
      fit: "fit-content"
    }),
    hueRotate: {
      0: "0deg",
      15: "15deg",
      30: "30deg",
      60: "60deg",
      90: "90deg",
      180: "180deg"
    },
    inset: ({ theme: e }) => ({
      auto: "auto",
      ...e("spacing"),
      "1/2": "50%",
      "1/3": "33.333333%",
      "2/3": "66.666667%",
      "1/4": "25%",
      "2/4": "50%",
      "3/4": "75%",
      full: "100%"
    }),
    invert: {
      0: "0",
      DEFAULT: "100%"
    },
    keyframes: {
      spin: {
        to: {
          transform: "rotate(360deg)"
        }
      },
      ping: {
        "75%, 100%": {
          transform: "scale(2)",
          opacity: "0"
        }
      },
      pulse: {
        "50%": {
          opacity: ".5"
        }
      },
      bounce: {
        "0%, 100%": {
          transform: "translateY(-25%)",
          animationTimingFunction: "cubic-bezier(0.8,0,1,1)"
        },
        "50%": {
          transform: "none",
          animationTimingFunction: "cubic-bezier(0,0,0.2,1)"
        }
      }
    },
    letterSpacing: {
      tighter: "-0.05em",
      tight: "-0.025em",
      normal: "0em",
      wide: "0.025em",
      wider: "0.05em",
      widest: "0.1em"
    },
    lineHeight: {
      none: "1",
      tight: "1.25",
      snug: "1.375",
      normal: "1.5",
      relaxed: "1.625",
      loose: "2",
      3: ".75rem",
      4: "1rem",
      5: "1.25rem",
      6: "1.5rem",
      7: "1.75rem",
      8: "2rem",
      9: "2.25rem",
      10: "2.5rem"
    },
    listStyleType: {
      none: "none",
      disc: "disc",
      decimal: "decimal"
    },
    listStyleImage: {
      none: "none"
    },
    margin: ({ theme: e }) => ({
      auto: "auto",
      ...e("spacing")
    }),
    lineClamp: {
      1: "1",
      2: "2",
      3: "3",
      4: "4",
      5: "5",
      6: "6"
    },
    maxHeight: ({ theme: e }) => ({
      ...e("spacing"),
      none: "none",
      full: "100%",
      screen: "100vh",
      min: "min-content",
      max: "max-content",
      fit: "fit-content"
    }),
    maxWidth: ({ theme: e, breakpoints: t }) => ({
      none: "none",
      0: "0rem",
      xs: "20rem",
      sm: "24rem",
      md: "28rem",
      lg: "32rem",
      xl: "36rem",
      "2xl": "42rem",
      "3xl": "48rem",
      "4xl": "56rem",
      "5xl": "64rem",
      "6xl": "72rem",
      "7xl": "80rem",
      full: "100%",
      min: "min-content",
      max: "max-content",
      fit: "fit-content",
      prose: "65ch",
      ...t(e("screens"))
    }),
    minHeight: {
      0: "0px",
      full: "100%",
      screen: "100vh",
      min: "min-content",
      max: "max-content",
      fit: "fit-content"
    },
    minWidth: {
      0: "0px",
      full: "100%",
      min: "min-content",
      max: "max-content",
      fit: "fit-content"
    },
    objectPosition: {
      bottom: "bottom",
      center: "center",
      left: "left",
      "left-bottom": "left bottom",
      "left-top": "left top",
      right: "right",
      "right-bottom": "right bottom",
      "right-top": "right top",
      top: "top"
    },
    opacity: {
      0: "0",
      5: "0.05",
      10: "0.1",
      20: "0.2",
      25: "0.25",
      30: "0.3",
      40: "0.4",
      50: "0.5",
      60: "0.6",
      70: "0.7",
      75: "0.75",
      80: "0.8",
      90: "0.9",
      95: "0.95",
      100: "1"
    },
    order: {
      first: "-9999",
      last: "9999",
      none: "0",
      1: "1",
      2: "2",
      3: "3",
      4: "4",
      5: "5",
      6: "6",
      7: "7",
      8: "8",
      9: "9",
      10: "10",
      11: "11",
      12: "12"
    },
    outlineColor: ({ theme: e }) => e("colors"),
    outlineOffset: {
      0: "0px",
      1: "1px",
      2: "2px",
      4: "4px",
      8: "8px"
    },
    outlineWidth: {
      0: "0px",
      1: "1px",
      2: "2px",
      4: "4px",
      8: "8px"
    },
    padding: ({ theme: e }) => e("spacing"),
    placeholderColor: ({ theme: e }) => e("colors"),
    placeholderOpacity: ({ theme: e }) => e("opacity"),
    ringColor: ({ theme: e }) => ({
      DEFAULT: e("colors.blue.500", "#3b82f6"),
      ...e("colors")
    }),
    ringOffsetColor: ({ theme: e }) => e("colors"),
    ringOffsetWidth: {
      0: "0px",
      1: "1px",
      2: "2px",
      4: "4px",
      8: "8px"
    },
    ringOpacity: ({ theme: e }) => ({
      DEFAULT: "0.5",
      ...e("opacity")
    }),
    ringWidth: {
      DEFAULT: "3px",
      0: "0px",
      1: "1px",
      2: "2px",
      4: "4px",
      8: "8px"
    },
    rotate: {
      0: "0deg",
      1: "1deg",
      2: "2deg",
      3: "3deg",
      6: "6deg",
      12: "12deg",
      45: "45deg",
      90: "90deg",
      180: "180deg"
    },
    saturate: {
      0: "0",
      50: ".5",
      100: "1",
      150: "1.5",
      200: "2"
    },
    scale: {
      0: "0",
      50: ".5",
      75: ".75",
      90: ".9",
      95: ".95",
      100: "1",
      105: "1.05",
      110: "1.1",
      125: "1.25",
      150: "1.5"
    },
    screens: {
      sm: "640px",
      md: "768px",
      lg: "1024px",
      xl: "1280px",
      "2xl": "1536px"
    },
    scrollMargin: ({ theme: e }) => ({
      ...e("spacing")
    }),
    scrollPadding: ({ theme: e }) => e("spacing"),
    sepia: {
      0: "0",
      DEFAULT: "100%"
    },
    skew: {
      0: "0deg",
      1: "1deg",
      2: "2deg",
      3: "3deg",
      6: "6deg",
      12: "12deg"
    },
    space: ({ theme: e }) => ({
      ...e("spacing")
    }),
    spacing: {
      px: "1px",
      0: "0px",
      0.5: "0.125rem",
      1: "0.25rem",
      1.5: "0.375rem",
      2: "0.5rem",
      2.5: "0.625rem",
      3: "0.75rem",
      3.5: "0.875rem",
      4: "1rem",
      5: "1.25rem",
      6: "1.5rem",
      7: "1.75rem",
      8: "2rem",
      9: "2.25rem",
      10: "2.5rem",
      11: "2.75rem",
      12: "3rem",
      14: "3.5rem",
      16: "4rem",
      20: "5rem",
      24: "6rem",
      28: "7rem",
      32: "8rem",
      36: "9rem",
      40: "10rem",
      44: "11rem",
      48: "12rem",
      52: "13rem",
      56: "14rem",
      60: "15rem",
      64: "16rem",
      72: "18rem",
      80: "20rem",
      96: "24rem"
    },
    stroke: ({ theme: e }) => ({
      none: "none",
      ...e("colors")
    }),
    strokeWidth: {
      0: "0",
      1: "1",
      2: "2"
    },
    supports: {},
    data: {},
    textColor: ({ theme: e }) => e("colors"),
    textDecorationColor: ({ theme: e }) => e("colors"),
    textDecorationThickness: {
      auto: "auto",
      "from-font": "from-font",
      0: "0px",
      1: "1px",
      2: "2px",
      4: "4px",
      8: "8px"
    },
    textIndent: ({ theme: e }) => ({
      ...e("spacing")
    }),
    textOpacity: ({ theme: e }) => e("opacity"),
    textUnderlineOffset: {
      auto: "auto",
      0: "0px",
      1: "1px",
      2: "2px",
      4: "4px",
      8: "8px"
    },
    transformOrigin: {
      center: "center",
      top: "top",
      "top-right": "top right",
      right: "right",
      "bottom-right": "bottom right",
      bottom: "bottom",
      "bottom-left": "bottom left",
      left: "left",
      "top-left": "top left"
    },
    transitionDelay: {
      0: "0s",
      75: "75ms",
      100: "100ms",
      150: "150ms",
      200: "200ms",
      300: "300ms",
      500: "500ms",
      700: "700ms",
      1e3: "1000ms"
    },
    transitionDuration: {
      DEFAULT: "150ms",
      0: "0s",
      75: "75ms",
      100: "100ms",
      150: "150ms",
      200: "200ms",
      300: "300ms",
      500: "500ms",
      700: "700ms",
      1e3: "1000ms"
    },
    transitionProperty: {
      none: "none",
      all: "all",
      DEFAULT: "color, background-color, border-color, text-decoration-color, fill, stroke, opacity, box-shadow, transform, filter, backdrop-filter",
      colors: "color, background-color, border-color, text-decoration-color, fill, stroke",
      opacity: "opacity",
      shadow: "box-shadow",
      transform: "transform"
    },
    transitionTimingFunction: {
      DEFAULT: "cubic-bezier(0.4, 0, 0.2, 1)",
      linear: "linear",
      in: "cubic-bezier(0.4, 0, 1, 1)",
      out: "cubic-bezier(0, 0, 0.2, 1)",
      "in-out": "cubic-bezier(0.4, 0, 0.2, 1)"
    },
    translate: ({ theme: e }) => ({
      ...e("spacing"),
      "1/2": "50%",
      "1/3": "33.333333%",
      "2/3": "66.666667%",
      "1/4": "25%",
      "2/4": "50%",
      "3/4": "75%",
      full: "100%"
    }),
    width: ({ theme: e }) => ({
      auto: "auto",
      ...e("spacing"),
      "1/2": "50%",
      "1/3": "33.333333%",
      "2/3": "66.666667%",
      "1/4": "25%",
      "2/4": "50%",
      "3/4": "75%",
      "1/5": "20%",
      "2/5": "40%",
      "3/5": "60%",
      "4/5": "80%",
      "1/6": "16.666667%",
      "2/6": "33.333333%",
      "3/6": "50%",
      "4/6": "66.666667%",
      "5/6": "83.333333%",
      "1/12": "8.333333%",
      "2/12": "16.666667%",
      "3/12": "25%",
      "4/12": "33.333333%",
      "5/12": "41.666667%",
      "6/12": "50%",
      "7/12": "58.333333%",
      "8/12": "66.666667%",
      "9/12": "75%",
      "10/12": "83.333333%",
      "11/12": "91.666667%",
      full: "100%",
      screen: "100vw",
      min: "min-content",
      max: "max-content",
      fit: "fit-content"
    }),
    willChange: {
      auto: "auto",
      scroll: "scroll-position",
      contents: "contents",
      transform: "transform"
    },
    zIndex: {
      auto: "auto",
      0: "0",
      10: "10",
      20: "20",
      30: "30",
      40: "40",
      50: "50"
    }
  },
  plugins: []
};
(function(e) {
  Object.defineProperty(e, "__esModule", {
    value: !0
  }), Object.defineProperty(e, "default", {
    enumerable: !0,
    get: function() {
      return n;
    }
  });
  const t = _t, r = /* @__PURE__ */ a(Lr);
  function a(o) {
    return o && o.__esModule ? o : {
      default: o
    };
  }
  const n = (0, t.cloneDeep)(r.default.theme);
})(Dt);
let Ze = Dt;
var St = (Ze.__esModule ? Ze : { default: Ze }).default;
const vt = /* @__PURE__ */ Ct(St);
var Bt = {}, Ot = {}, ct = { exports: {} }, L = String, qt = function() {
  return { isColorSupported: !1, reset: L, bold: L, dim: L, italic: L, underline: L, inverse: L, hidden: L, strikethrough: L, black: L, red: L, green: L, yellow: L, blue: L, magenta: L, cyan: L, white: L, gray: L, bgBlack: L, bgRed: L, bgGreen: L, bgYellow: L, bgBlue: L, bgMagenta: L, bgCyan: L, bgWhite: L };
};
ct.exports = qt();
ct.exports.createColors = qt;
var Tr = ct.exports;
(function(e) {
  Object.defineProperty(e, "__esModule", {
    value: !0
  });
  function t(s, c) {
    for (var f in c)
      Object.defineProperty(s, f, {
        enumerable: !0,
        get: c[f]
      });
  }
  t(e, {
    dim: function() {
      return l;
    },
    default: function() {
      return i;
    }
  });
  const r = /* @__PURE__ */ a(Tr);
  function a(s) {
    return s && s.__esModule ? s : {
      default: s
    };
  }
  let n = /* @__PURE__ */ new Set();
  function o(s, c, f) {
    typeof process < "u" && process.env.JEST_WORKER_ID || f && n.has(f) || (f && n.add(f), console.warn(""), c.forEach((u) => console.warn(s, "-", u)));
  }
  function l(s) {
    return r.default.dim(s);
  }
  const i = {
    info(s, c) {
      o(r.default.bold(r.default.cyan("info")), ...Array.isArray(s) ? [
        s
      ] : [
        c,
        s
      ]);
    },
    warn(s, c) {
      o(r.default.bold(r.default.yellow("warn")), ...Array.isArray(s) ? [
        s
      ] : [
        c,
        s
      ]);
    },
    risk(s, c) {
      o(r.default.bold(r.default.magenta("risk")), ...Array.isArray(s) ? [
        s
      ] : [
        c,
        s
      ]);
    }
  };
})(Ot);
(function(e) {
  Object.defineProperty(e, "__esModule", {
    value: !0
  }), Object.defineProperty(e, "default", {
    enumerable: !0,
    get: function() {
      return n;
    }
  });
  const t = /* @__PURE__ */ r(Ot);
  function r(o) {
    return o && o.__esModule ? o : {
      default: o
    };
  }
  function a({ version: o, from: l, to: i }) {
    t.default.warn(`${l}-color-renamed`, [
      `As of Tailwind CSS ${o}, \`${l}\` has been renamed to \`${i}\`.`,
      "Update your configuration file to silence this warning."
    ]);
  }
  const n = {
    inherit: "inherit",
    current: "currentColor",
    transparent: "transparent",
    black: "#000",
    white: "#fff",
    slate: {
      50: "#f8fafc",
      100: "#f1f5f9",
      200: "#e2e8f0",
      300: "#cbd5e1",
      400: "#94a3b8",
      500: "#64748b",
      600: "#475569",
      700: "#334155",
      800: "#1e293b",
      900: "#0f172a",
      950: "#020617"
    },
    gray: {
      50: "#f9fafb",
      100: "#f3f4f6",
      200: "#e5e7eb",
      300: "#d1d5db",
      400: "#9ca3af",
      500: "#6b7280",
      600: "#4b5563",
      700: "#374151",
      800: "#1f2937",
      900: "#111827",
      950: "#030712"
    },
    zinc: {
      50: "#fafafa",
      100: "#f4f4f5",
      200: "#e4e4e7",
      300: "#d4d4d8",
      400: "#a1a1aa",
      500: "#71717a",
      600: "#52525b",
      700: "#3f3f46",
      800: "#27272a",
      900: "#18181b",
      950: "#09090b"
    },
    neutral: {
      50: "#fafafa",
      100: "#f5f5f5",
      200: "#e5e5e5",
      300: "#d4d4d4",
      400: "#a3a3a3",
      500: "#737373",
      600: "#525252",
      700: "#404040",
      800: "#262626",
      900: "#171717",
      950: "#0a0a0a"
    },
    stone: {
      50: "#fafaf9",
      100: "#f5f5f4",
      200: "#e7e5e4",
      300: "#d6d3d1",
      400: "#a8a29e",
      500: "#78716c",
      600: "#57534e",
      700: "#44403c",
      800: "#292524",
      900: "#1c1917",
      950: "#0c0a09"
    },
    red: {
      50: "#fef2f2",
      100: "#fee2e2",
      200: "#fecaca",
      300: "#fca5a5",
      400: "#f87171",
      500: "#ef4444",
      600: "#dc2626",
      700: "#b91c1c",
      800: "#991b1b",
      900: "#7f1d1d",
      950: "#450a0a"
    },
    orange: {
      50: "#fff7ed",
      100: "#ffedd5",
      200: "#fed7aa",
      300: "#fdba74",
      400: "#fb923c",
      500: "#f97316",
      600: "#ea580c",
      700: "#c2410c",
      800: "#9a3412",
      900: "#7c2d12",
      950: "#431407"
    },
    amber: {
      50: "#fffbeb",
      100: "#fef3c7",
      200: "#fde68a",
      300: "#fcd34d",
      400: "#fbbf24",
      500: "#f59e0b",
      600: "#d97706",
      700: "#b45309",
      800: "#92400e",
      900: "#78350f",
      950: "#451a03"
    },
    yellow: {
      50: "#fefce8",
      100: "#fef9c3",
      200: "#fef08a",
      300: "#fde047",
      400: "#facc15",
      500: "#eab308",
      600: "#ca8a04",
      700: "#a16207",
      800: "#854d0e",
      900: "#713f12",
      950: "#422006"
    },
    lime: {
      50: "#f7fee7",
      100: "#ecfccb",
      200: "#d9f99d",
      300: "#bef264",
      400: "#a3e635",
      500: "#84cc16",
      600: "#65a30d",
      700: "#4d7c0f",
      800: "#3f6212",
      900: "#365314",
      950: "#1a2e05"
    },
    green: {
      50: "#f0fdf4",
      100: "#dcfce7",
      200: "#bbf7d0",
      300: "#86efac",
      400: "#4ade80",
      500: "#22c55e",
      600: "#16a34a",
      700: "#15803d",
      800: "#166534",
      900: "#14532d",
      950: "#052e16"
    },
    emerald: {
      50: "#ecfdf5",
      100: "#d1fae5",
      200: "#a7f3d0",
      300: "#6ee7b7",
      400: "#34d399",
      500: "#10b981",
      600: "#059669",
      700: "#047857",
      800: "#065f46",
      900: "#064e3b",
      950: "#022c22"
    },
    teal: {
      50: "#f0fdfa",
      100: "#ccfbf1",
      200: "#99f6e4",
      300: "#5eead4",
      400: "#2dd4bf",
      500: "#14b8a6",
      600: "#0d9488",
      700: "#0f766e",
      800: "#115e59",
      900: "#134e4a",
      950: "#042f2e"
    },
    cyan: {
      50: "#ecfeff",
      100: "#cffafe",
      200: "#a5f3fc",
      300: "#67e8f9",
      400: "#22d3ee",
      500: "#06b6d4",
      600: "#0891b2",
      700: "#0e7490",
      800: "#155e75",
      900: "#164e63",
      950: "#083344"
    },
    sky: {
      50: "#f0f9ff",
      100: "#e0f2fe",
      200: "#bae6fd",
      300: "#7dd3fc",
      400: "#38bdf8",
      500: "#0ea5e9",
      600: "#0284c7",
      700: "#0369a1",
      800: "#075985",
      900: "#0c4a6e",
      950: "#082f49"
    },
    blue: {
      50: "#eff6ff",
      100: "#dbeafe",
      200: "#bfdbfe",
      300: "#93c5fd",
      400: "#60a5fa",
      500: "#3b82f6",
      600: "#2563eb",
      700: "#1d4ed8",
      800: "#1e40af",
      900: "#1e3a8a",
      950: "#172554"
    },
    indigo: {
      50: "#eef2ff",
      100: "#e0e7ff",
      200: "#c7d2fe",
      300: "#a5b4fc",
      400: "#818cf8",
      500: "#6366f1",
      600: "#4f46e5",
      700: "#4338ca",
      800: "#3730a3",
      900: "#312e81",
      950: "#1e1b4b"
    },
    violet: {
      50: "#f5f3ff",
      100: "#ede9fe",
      200: "#ddd6fe",
      300: "#c4b5fd",
      400: "#a78bfa",
      500: "#8b5cf6",
      600: "#7c3aed",
      700: "#6d28d9",
      800: "#5b21b6",
      900: "#4c1d95",
      950: "#2e1065"
    },
    purple: {
      50: "#faf5ff",
      100: "#f3e8ff",
      200: "#e9d5ff",
      300: "#d8b4fe",
      400: "#c084fc",
      500: "#a855f7",
      600: "#9333ea",
      700: "#7e22ce",
      800: "#6b21a8",
      900: "#581c87",
      950: "#3b0764"
    },
    fuchsia: {
      50: "#fdf4ff",
      100: "#fae8ff",
      200: "#f5d0fe",
      300: "#f0abfc",
      400: "#e879f9",
      500: "#d946ef",
      600: "#c026d3",
      700: "#a21caf",
      800: "#86198f",
      900: "#701a75",
      950: "#4a044e"
    },
    pink: {
      50: "#fdf2f8",
      100: "#fce7f3",
      200: "#fbcfe8",
      300: "#f9a8d4",
      400: "#f472b6",
      500: "#ec4899",
      600: "#db2777",
      700: "#be185d",
      800: "#9d174d",
      900: "#831843",
      950: "#500724"
    },
    rose: {
      50: "#fff1f2",
      100: "#ffe4e6",
      200: "#fecdd3",
      300: "#fda4af",
      400: "#fb7185",
      500: "#f43f5e",
      600: "#e11d48",
      700: "#be123c",
      800: "#9f1239",
      900: "#881337",
      950: "#4c0519"
    },
    get lightBlue() {
      return a({
        version: "v2.2",
        from: "lightBlue",
        to: "sky"
      }), this.sky;
    },
    get warmGray() {
      return a({
        version: "v3.0",
        from: "warmGray",
        to: "stone"
      }), this.stone;
    },
    get trueGray() {
      return a({
        version: "v3.0",
        from: "trueGray",
        to: "neutral"
      }), this.neutral;
    },
    get coolGray() {
      return a({
        version: "v3.0",
        from: "coolGray",
        to: "gray"
      }), this.gray;
    },
    get blueGray() {
      return a({
        version: "v3.0",
        from: "blueGray",
        to: "slate"
      }), this.slate;
    }
  };
})(Bt);
let We = Bt;
var Cr = (We.__esModule ? We : { default: We }).default;
const Ce = Er, Fr = $r, Pt = St, Y = Cr, [Ar, { lineHeight: Dr }] = Pt.fontSize.base, { spacing: K, borderWidth: mt, borderRadius: gt } = Pt;
function X(e, t) {
  return e.replace("<alpha-value>", `var(${t}, 1)`);
}
const _r = Fr.withOptions(function(e = { strategy: void 0 }) {
  return function({ addBase: t, addComponents: r, theme: a }) {
    const n = e.strategy === void 0 ? ["base", "class"] : [e.strategy], o = [
      {
        base: [
          "[type='text']",
          "input:where(:not([type]))",
          "[type='email']",
          "[type='url']",
          "[type='password']",
          "[type='number']",
          "[type='date']",
          "[type='datetime-local']",
          "[type='month']",
          "[type='search']",
          "[type='tel']",
          "[type='time']",
          "[type='week']",
          "[multiple]",
          "textarea",
          "select"
        ],
        class: [".form-input", ".form-textarea", ".form-select", ".form-multiselect"],
        styles: {
          appearance: "none",
          "background-color": "#fff",
          "border-color": X(
            a("colors.gray.500", Y.gray[500]),
            "--tw-border-opacity"
          ),
          "border-width": mt.DEFAULT,
          "border-radius": gt.none,
          "padding-top": K[2],
          "padding-right": K[3],
          "padding-bottom": K[2],
          "padding-left": K[3],
          "font-size": Ar,
          "line-height": Dr,
          "--tw-shadow": "0 0 #0000",
          "&:focus": {
            outline: "2px solid transparent",
            "outline-offset": "2px",
            "--tw-ring-inset": "var(--tw-empty,/*!*/ /*!*/)",
            "--tw-ring-offset-width": "0px",
            "--tw-ring-offset-color": "#fff",
            "--tw-ring-color": X(
              a("colors.blue.600", Y.blue[600]),
              "--tw-ring-opacity"
            ),
            "--tw-ring-offset-shadow": "var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color)",
            "--tw-ring-shadow": "var(--tw-ring-inset) 0 0 0 calc(1px + var(--tw-ring-offset-width)) var(--tw-ring-color)",
            "box-shadow": "var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow)",
            "border-color": X(
              a("colors.blue.600", Y.blue[600]),
              "--tw-border-opacity"
            )
          }
        }
      },
      {
        base: ["input::placeholder", "textarea::placeholder"],
        class: [".form-input::placeholder", ".form-textarea::placeholder"],
        styles: {
          color: X(a("colors.gray.500", Y.gray[500]), "--tw-text-opacity"),
          opacity: "1"
        }
      },
      {
        base: ["::-webkit-datetime-edit-fields-wrapper"],
        class: [".form-input::-webkit-datetime-edit-fields-wrapper"],
        styles: {
          padding: "0"
        }
      },
      {
        // Unfortunate hack until https://bugs.webkit.org/show_bug.cgi?id=198959 is fixed.
        // This sucks because users can't change line-height with a utility on date inputs now.
        // Reference: https://github.com/twbs/bootstrap/pull/31993
        base: ["::-webkit-date-and-time-value"],
        class: [".form-input::-webkit-date-and-time-value"],
        styles: {
          "min-height": "1.5em"
        }
      },
      {
        // In Safari on macOS date time inputs are 4px taller than normal inputs
        // This is because there is extra padding on the datetime-edit and datetime-edit-{part}-field pseudo elements
        // See https://github.com/tailwindlabs/tailwindcss-forms/issues/95
        base: [
          "::-webkit-datetime-edit",
          "::-webkit-datetime-edit-year-field",
          "::-webkit-datetime-edit-month-field",
          "::-webkit-datetime-edit-day-field",
          "::-webkit-datetime-edit-hour-field",
          "::-webkit-datetime-edit-minute-field",
          "::-webkit-datetime-edit-second-field",
          "::-webkit-datetime-edit-millisecond-field",
          "::-webkit-datetime-edit-meridiem-field"
        ],
        class: [
          ".form-input::-webkit-datetime-edit",
          ".form-input::-webkit-datetime-edit-year-field",
          ".form-input::-webkit-datetime-edit-month-field",
          ".form-input::-webkit-datetime-edit-day-field",
          ".form-input::-webkit-datetime-edit-hour-field",
          ".form-input::-webkit-datetime-edit-minute-field",
          ".form-input::-webkit-datetime-edit-second-field",
          ".form-input::-webkit-datetime-edit-millisecond-field",
          ".form-input::-webkit-datetime-edit-meridiem-field"
        ],
        styles: {
          "padding-top": 0,
          "padding-bottom": 0
        }
      },
      {
        base: ["select"],
        class: [".form-select"],
        styles: {
          "background-image": `url("${Ce(
            `<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 20 20"><path stroke="${X(
              a("colors.gray.500", Y.gray[500]),
              "--tw-stroke-opacity"
            )}" stroke-linecap="round" stroke-linejoin="round" stroke-width="1.5" d="M6 8l4 4 4-4"/></svg>`
          )}")`,
          "background-position": `right ${K[2]} center`,
          "background-repeat": "no-repeat",
          "background-size": "1.5em 1.5em",
          "padding-right": K[10],
          "print-color-adjust": "exact"
        }
      },
      {
        base: ["[multiple]", '[size]:where(select:not([size="1"]))'],
        class: ['.form-select:where([size]:not([size="1"]))'],
        styles: {
          "background-image": "initial",
          "background-position": "initial",
          "background-repeat": "unset",
          "background-size": "initial",
          "padding-right": K[3],
          "print-color-adjust": "unset"
        }
      },
      {
        base: ["[type='checkbox']", "[type='radio']"],
        class: [".form-checkbox", ".form-radio"],
        styles: {
          appearance: "none",
          padding: "0",
          "print-color-adjust": "exact",
          display: "inline-block",
          "vertical-align": "middle",
          "background-origin": "border-box",
          "user-select": "none",
          "flex-shrink": "0",
          height: K[4],
          width: K[4],
          color: X(a("colors.blue.600", Y.blue[600]), "--tw-text-opacity"),
          "background-color": "#fff",
          "border-color": X(
            a("colors.gray.500", Y.gray[500]),
            "--tw-border-opacity"
          ),
          "border-width": mt.DEFAULT,
          "--tw-shadow": "0 0 #0000"
        }
      },
      {
        base: ["[type='checkbox']"],
        class: [".form-checkbox"],
        styles: {
          "border-radius": gt.none
        }
      },
      {
        base: ["[type='radio']"],
        class: [".form-radio"],
        styles: {
          "border-radius": "100%"
        }
      },
      {
        base: ["[type='checkbox']:focus", "[type='radio']:focus"],
        class: [".form-checkbox:focus", ".form-radio:focus"],
        styles: {
          outline: "2px solid transparent",
          "outline-offset": "2px",
          "--tw-ring-inset": "var(--tw-empty,/*!*/ /*!*/)",
          "--tw-ring-offset-width": "2px",
          "--tw-ring-offset-color": "#fff",
          "--tw-ring-color": X(
            a("colors.blue.600", Y.blue[600]),
            "--tw-ring-opacity"
          ),
          "--tw-ring-offset-shadow": "var(--tw-ring-inset) 0 0 0 var(--tw-ring-offset-width) var(--tw-ring-offset-color)",
          "--tw-ring-shadow": "var(--tw-ring-inset) 0 0 0 calc(2px + var(--tw-ring-offset-width)) var(--tw-ring-color)",
          "box-shadow": "var(--tw-ring-offset-shadow), var(--tw-ring-shadow), var(--tw-shadow)"
        }
      },
      {
        base: ["[type='checkbox']:checked", "[type='radio']:checked"],
        class: [".form-checkbox:checked", ".form-radio:checked"],
        styles: {
          "border-color": "transparent",
          "background-color": "currentColor",
          "background-size": "100% 100%",
          "background-position": "center",
          "background-repeat": "no-repeat"
        }
      },
      {
        base: ["[type='checkbox']:checked"],
        class: [".form-checkbox:checked"],
        styles: {
          "background-image": `url("${Ce(
            '<svg viewBox="0 0 16 16" fill="white" xmlns="http://www.w3.org/2000/svg"><path d="M12.207 4.793a1 1 0 010 1.414l-5 5a1 1 0 01-1.414 0l-2-2a1 1 0 011.414-1.414L6.5 9.086l4.293-4.293a1 1 0 011.414 0z"/></svg>'
          )}")`
        }
      },
      {
        base: ["[type='radio']:checked"],
        class: [".form-radio:checked"],
        styles: {
          "background-image": `url("${Ce(
            '<svg viewBox="0 0 16 16" fill="white" xmlns="http://www.w3.org/2000/svg"><circle cx="8" cy="8" r="3"/></svg>'
          )}")`
        }
      },
      {
        base: [
          "[type='checkbox']:checked:hover",
          "[type='checkbox']:checked:focus",
          "[type='radio']:checked:hover",
          "[type='radio']:checked:focus"
        ],
        class: [
          ".form-checkbox:checked:hover",
          ".form-checkbox:checked:focus",
          ".form-radio:checked:hover",
          ".form-radio:checked:focus"
        ],
        styles: {
          "border-color": "transparent",
          "background-color": "currentColor"
        }
      },
      {
        base: ["[type='checkbox']:indeterminate"],
        class: [".form-checkbox:indeterminate"],
        styles: {
          "background-image": `url("${Ce(
            '<svg xmlns="http://www.w3.org/2000/svg" fill="none" viewBox="0 0 16 16"><path stroke="white" stroke-linecap="round" stroke-linejoin="round" stroke-width="2" d="M4 8h8"/></svg>'
          )}")`,
          "border-color": "transparent",
          "background-color": "currentColor",
          "background-size": "100% 100%",
          "background-position": "center",
          "background-repeat": "no-repeat"
        }
      },
      {
        base: ["[type='checkbox']:indeterminate:hover", "[type='checkbox']:indeterminate:focus"],
        class: [".form-checkbox:indeterminate:hover", ".form-checkbox:indeterminate:focus"],
        styles: {
          "border-color": "transparent",
          "background-color": "currentColor"
        }
      },
      {
        base: ["[type='file']"],
        class: null,
        styles: {
          background: "unset",
          "border-color": "inherit",
          "border-width": "0",
          "border-radius": "0",
          padding: "0",
          "font-size": "unset",
          "line-height": "inherit"
        }
      },
      {
        base: ["[type='file']:focus"],
        class: null,
        styles: {
          outline: [
            "1px solid ButtonText",
            "1px auto -webkit-focus-ring-color"
          ]
        }
      }
    ], l = (i) => o.map((s) => s[i] === null ? null : { [s[i]]: s.styles }).filter(Boolean);
    n.includes("base") && t(l("base")), n.includes("class") && r(l("class"));
  };
});
var Sr = _r;
const Br = /* @__PURE__ */ Ct(Sr), a0 = function({ addBase: e, addComponents: t, theme: r }) {
  for (const [a, n] of Object.entries(mr))
    e({
      ":root": {
        [a]: n
      }
    });
  for (const [a, n] of Object.entries(gr))
    e({
      '[data-context="alternative"]': {
        [a]: n
      }
    });
  Br({
    strategy: "class"
  }).handler({ addBase: e, addComponents: t, theme: r });
}, Or = {
  neutral: {
    0: "var(--neutral-0)",
    50: "var(--neutral-50)",
    100: "var(--neutral-100)",
    200: "var(--neutral-200)",
    300: "var(--neutral-300)",
    400: "var(--neutral-400)",
    500: "var(--neutral-500)",
    600: "var(--neutral-600)",
    700: "var(--neutral-700)",
    800: "var(--neutral-800)",
    900: "var(--neutral-900)"
  },
  brand: {
    50: "var(--brand-50)",
    100: "var(--brand-100)",
    200: "var(--brand-200)",
    300: "var(--brand-300)",
    400: "var(--brand-400)",
    500: "var(--brand-500)",
    600: "var(--brand-600)",
    700: "var(--brand-700)",
    800: "var(--brand-800)",
    900: "var(--brand-900)"
  },
  green: {
    50: "var(--green-50)",
    100: "var(--green-100)",
    200: "var(--green-200)",
    300: "var(--green-300)",
    400: "var(--green-400)",
    500: "var(--green-500)",
    600: "var(--green-600)",
    700: "var(--green-700)",
    800: "var(--green-800)",
    900: "var(--green-900)"
  },
  lime: {
    50: "var(--lime-50)",
    100: "var(--lime-100)",
    200: "var(--lime-200)",
    300: "var(--lime-300)",
    400: "var(--lime-400)",
    500: "var(--lime-500)",
    600: "var(--lime-600)",
    700: "var(--lime-700)",
    800: "var(--lime-800)",
    900: "var(--lime-900)"
  },
  teal: {
    50: "var(--teal-50)",
    100: "var(--teal-100)",
    200: "var(--teal-200)",
    300: "var(--teal-300)",
    400: "var(--teal-400)",
    500: "var(--teal-500)",
    600: "var(--teal-600)",
    700: "var(--teal-700)",
    800: "var(--teal-800)",
    900: "var(--teal-900)"
  },
  blue: {
    50: "var(--blue-50)",
    100: "var(--blue-100)",
    200: "var(--blue-200)",
    300: "var(--blue-300)",
    400: "var(--blue-400)",
    500: "var(--blue-500)",
    600: "var(--blue-600)",
    700: "var(--blue-700)",
    800: "var(--blue-800)",
    900: "var(--blue-900)"
  },
  purple: {
    50: "var(--purple-50)",
    100: "var(--purple-100)",
    200: "var(--purple-200)",
    300: "var(--purple-300)",
    400: "var(--purple-400)",
    500: "var(--purple-500)",
    600: "var(--purple-600)",
    700: "var(--purple-700)",
    800: "var(--purple-800)",
    900: "var(--purple-900)"
  },
  pink: {
    50: "var(--pink-50)",
    100: "var(--pink-100)",
    200: "var(--pink-200)",
    300: "var(--pink-300)",
    400: "var(--pink-400)",
    500: "var(--pink-500)",
    600: "var(--pink-600)",
    700: "var(--pink-700)",
    800: "var(--pink-800)",
    900: "var(--pink-900)"
  },
  red: {
    50: "var(--red-50)",
    100: "var(--red-100)",
    200: "var(--red-200)",
    300: "var(--red-300)",
    400: "var(--red-400)",
    500: "var(--red-500)",
    600: "var(--red-600)",
    700: "var(--red-700)",
    800: "var(--red-800)",
    900: "var(--red-900)"
  },
  orange: {
    50: "var(--orange-50)",
    100: "var(--orange-100)",
    200: "var(--orange-200)",
    300: "var(--orange-300)",
    400: "var(--orange-400)",
    500: "var(--orange-500)",
    600: "var(--orange-600)",
    700: "var(--orange-700)",
    800: "var(--orange-800)",
    900: "var(--orange-900)"
  },
  yellow: {
    50: "var(--yellow-50)",
    100: "var(--yellow-100)",
    200: "var(--yellow-200)",
    300: "var(--yellow-300)",
    400: "var(--yellow-400)",
    500: "var(--yellow-500)",
    600: "var(--yellow-600)",
    700: "var(--yellow-700)",
    800: "var(--yellow-800)",
    900: "var(--yellow-900)"
  },
  "silver-tree": {
    50: "var(--silver-tree-50)",
    100: "var(--silver-tree-100)",
    200: "var(--silver-tree-200)",
    300: "var(--silver-tree-300)",
    400: "var(--silver-tree-400)",
    500: "var(--silver-tree-500)",
    600: "var(--silver-tree-600)",
    700: "var(--silver-tree-700)",
    800: "var(--silver-tree-800)",
    900: "var(--silver-tree-900)"
  },
  gimblet: {
    50: "var(--gimblet-50)",
    100: "var(--gimblet-100)",
    200: "var(--gimblet-200)",
    300: "var(--gimblet-300)",
    400: "var(--gimblet-400)",
    500: "var(--gimblet-500)",
    600: "var(--gimblet-600)",
    700: "var(--gimblet-700)",
    800: "var(--gimblet-800)",
    900: "var(--gimblet-900)"
  },
  mongoose: {
    50: "var(--mongoose-50)",
    100: "var(--mongoose-100)",
    200: "var(--mongoose-200)",
    300: "var(--mongoose-300)",
    400: "var(--mongoose-400)",
    500: "var(--mongoose-500)",
    600: "var(--mongoose-600)",
    700: "var(--mongoose-700)",
    800: "var(--mongoose-800)",
    900: "var(--mongoose-900)"
  },
  "muddy-waters": {
    50: "var(--muddy-waters-50)",
    100: "var(--muddy-waters-100)",
    200: "var(--muddy-waters-200)",
    300: "var(--muddy-waters-300)",
    400: "var(--muddy-waters-400)",
    500: "var(--muddy-waters-500)",
    600: "var(--muddy-waters-600)",
    700: "var(--muddy-waters-700)",
    800: "var(--muddy-waters-800)",
    900: "var(--muddy-waters-900)"
  },
  viola: {
    50: "var(--viola-50)",
    100: "var(--viola-100)",
    200: "var(--viola-200)",
    300: "var(--viola-300)",
    400: "var(--viola-400)",
    500: "var(--viola-500)",
    600: "var(--viola-600)",
    700: "var(--viola-700)",
    800: "var(--viola-800)",
    900: "var(--viola-900)"
  },
  "light-wisteria": {
    50: "var(--light-wisteria-50)",
    100: "var(--light-wisteria-100)",
    200: "var(--light-wisteria-200)",
    300: "var(--light-wisteria-300)",
    400: "var(--light-wisteria-400)",
    500: "var(--light-wisteria-500)",
    600: "var(--light-wisteria-600)",
    700: "var(--light-wisteria-700)",
    800: "var(--light-wisteria-800)",
    900: "var(--light-wisteria-900)"
  },
  "cold-purple": {
    50: "var(--cold-purple-50)",
    100: "var(--cold-purple-100)",
    200: "var(--cold-purple-200)",
    300: "var(--cold-purple-300)",
    400: "var(--cold-purple-400)",
    500: "var(--cold-purple-500)",
    600: "var(--cold-purple-600)",
    700: "var(--cold-purple-700)",
    800: "var(--cold-purple-800)",
    900: "var(--cold-purple-900)"
  },
  "polo-blue": {
    50: "var(--polo-blue-50)",
    100: "var(--polo-blue-100)",
    200: "var(--polo-blue-200)",
    300: "var(--polo-blue-300)",
    400: "var(--polo-blue-400)",
    500: "var(--polo-blue-500)",
    600: "var(--polo-blue-600)",
    700: "var(--polo-blue-700)",
    800: "var(--polo-blue-800)",
    900: "var(--polo-blue-900)"
  },
  neptune: {
    50: "var(--neptune-50)",
    100: "var(--neptune-100)",
    200: "var(--neptune-200)",
    300: "var(--neptune-300)",
    400: "var(--neptune-400)",
    500: "var(--neptune-500)",
    600: "var(--neptune-600)",
    700: "var(--neptune-700)",
    800: "var(--neptune-800)",
    900: "var(--neptune-900)"
  },
  mantis: {
    50: "var(--mantis-50)",
    100: "var(--mantis-100)",
    200: "var(--mantis-200)",
    300: "var(--mantis-300)",
    400: "var(--mantis-400)",
    500: "var(--mantis-500)",
    600: "var(--mantis-600)",
    700: "var(--mantis-700)",
    800: "var(--mantis-800)",
    900: "var(--mantis-900)"
  },
  isbre: {
    50: "var(--isbre-50)",
    100: "var(--isbre-100)",
    200: "var(--isbre-200)",
    300: "var(--isbre-300)",
    400: "var(--isbre-400)",
    500: "var(--isbre-500)",
    600: "var(--isbre-600)",
    700: "var(--isbre-700)"
  }
}, qr = {
  sans: ["Archivo", ...vt.fontFamily.sans],
  serif: ["IBM Plex Serif", ...vt.fontFamily.serif]
}, Pr = {
  xxs: "0.625rem"
  // 10px
  // Uses default font sizes otherwise
}, Mr = {
  4.5: "1.125rem"
}, Ur = {
  primary: "var(--text-primary)",
  secondary: "var(--text-secondary)",
  tertiary: "var(--text-tertiary)",
  success: {
    DEFAULT: "var(--text-success)"
  },
  warning: {
    DEFAULT: "var(--text-warning)"
  },
  danger: {
    DEFAULT: "var(--text-danger)"
  },
  info: {
    DEFAULT: "var(--text-info)"
  },
  emphasis: {
    DEFAULT: "var(--text-emphasis)"
  },
  interactive: {
    DEFAULT: "var(--text-interactive)",
    hover: "var(--text-interactive-hover)",
    active: "var(--text-interactive-active)"
  },
  button: {
    primary: {
      DEFAULT: "var(--text-button-primary)"
    },
    secondary: {
      DEFAULT: "var(--text-button-secondary)"
    },
    tertiary: {
      DEFAULT: "var(--text-button-tertiary)",
      hover: "var(--text-button-tertiary-hover)",
      active: "var(--text-button-tertiary-active)"
    },
    danger: {
      primary: {
        DEFAULT: "var(--text-button-danger-primary)"
      },
      secondary: {
        DEFAULT: "var(--text-button-danger-secondary)"
      },
      tertiary: {
        DEFAULT: "var(--text-button-danger-tertiary)",
        hover: "var(--text-button-danger-tertiary-hover)",
        active: "var(--text-button-danger-tertiary-active)"
      }
    }
  }
}, zr = {
  "on-primary": "var(--border-on-primary)",
  "on-secondary": "var(--border-on-secondary)",
  "on-tertiary": "var(--border-on-tertiary)",
  success: {
    DEFAULT: "var(--border-success)"
  },
  warning: {
    DEFAULT: "var(--border-warning)"
  },
  danger: {
    DEFAULT: "var(--border-danger)"
  },
  info: {
    DEFAULT: "var(--border-info)"
  },
  emphasis: {
    DEFAULT: "var(--border-emphasis)"
  },
  button: {
    primary: {
      DEFAULT: "var(--border-button-primary)",
      hover: "var(--border-button-primary-hover)",
      active: "var(--border-button-primary-active)"
    },
    secondary: {
      DEFAULT: "var(--border-button-secondary)",
      hover: "var(--border-button-secondary-hover)",
      active: "var(--border-button-secondary-active)"
    },
    danger: {
      primary: {
        DEFAULT: "var(--border-button-danger-primary)",
        hover: "var(--border-button-danger-primary-hover)",
        active: "var(--border-button-danger-primary-active)"
      },
      secondary: {
        DEFAULT: "var(--border-button-danger-secondary)",
        hover: "var(--border-button-danger-secondary-hover)",
        active: "var(--border-button-danger-secondary-active)"
      }
    }
  }
}, Rr = {
  primary: {
    DEFAULT: "var(--bg-primary)",
    hover: "var(--bg-primary-hover)",
    active: "var(--bg-primary-active)"
  },
  secondary: {
    DEFAULT: "var(--bg-secondary)",
    hover: "var(--bg-secondary-hover)",
    active: "var(--bg-secondary-active)"
  },
  tertiary: {
    DEFAULT: "var(--bg-tertiary)",
    hover: "var(--bg-tertiary-hover)",
    active: "var(--bg-tertiary-active)"
  },
  success: {
    DEFAULT: "var(--bg-success)"
  },
  warning: {
    DEFAULT: "var(--bg-warning)"
  },
  danger: {
    DEFAULT: "var(--bg-danger)"
  },
  info: {
    DEFAULT: "var(--bg-info)"
  },
  emphasis: {
    DEFAULT: "var(--bg-emphasis)"
  },
  button: {
    primary: {
      DEFAULT: "var(--bg-button-primary)",
      hover: "var(--bg-button-primary-hover)",
      active: "var(--bg-button-primary-active)"
    },
    secondary: {
      DEFAULT: "var(--bg-button-secondary)",
      hover: "var(--bg-button-secondary-hover)",
      active: "var(--bg-button-secondary-active)"
    },
    danger: {
      primary: {
        DEFAULT: "var(--bg-button-danger-primary)",
        hover: "var(--bg-button-danger-primary-hover)",
        active: "var(--bg-button-danger-primary-active)"
      },
      secondary: {
        DEFAULT: "var(--bg-button-danger-secondary)",
        hover: "var(--bg-button-danger-secondary-hover)",
        active: "var(--bg-button-danger-secondary-active)"
      }
    }
  }
}, Nr = {
  "on-primary": "var(--border-on-primary)",
  "on-secondary": "var(--border-on-secondary)",
  "on-tertiary": "var(--border-on-tertiary)",
  success: {
    DEFAULT: "var(--border-success)"
  },
  warning: {
    DEFAULT: "var(--border-warning)"
  },
  danger: {
    DEFAULT: "var(--border-danger)"
  },
  info: {
    DEFAULT: "var(--border-info)"
  },
  emphasis: {
    DEFAULT: "var(--border-emphasis)"
  },
  button: {
    primary: {
      DEFAULT: "var(--border-button-primary)",
      hover: "var(--border-button-primary-hover)",
      active: "var(--border-button-primary-active)"
    },
    secondary: {
      DEFAULT: "var(--border-button-secondary)",
      hover: "var(--border-button-secondary-hover)",
      active: "var(--border-button-secondary-active)"
    },
    danger: {
      primary: {
        DEFAULT: "var(--border-button-danger-primary)",
        hover: "var(--border-button-danger-primary-hover)",
        active: "var(--border-button-danger-primary-active)"
      },
      secondary: {
        DEFAULT: "var(--border-button-danger-secondary)",
        hover: "var(--border-button-danger-secondary-hover)",
        active: "var(--border-button-danger-secondary-active)"
      }
    }
  }
}, jr = {
  "on-primary": "var(--border-on-primary)",
  "on-secondary": "var(--border-on-secondary)",
  "on-tertiary": "var(--border-on-tertiary)",
  success: {
    DEFAULT: "var(--border-success)"
  },
  warning: {
    DEFAULT: "var(--border-warning)"
  },
  danger: {
    DEFAULT: "var(--border-danger)"
  },
  info: {
    DEFAULT: "var(--border-info)"
  },
  emphasis: {
    DEFAULT: "var(--border-emphasis)"
  },
  button: {
    primary: {
      DEFAULT: "var(--border-button-primary)",
      hover: "var(--border-button-primary-hover)",
      active: "var(--border-button-primary-active)"
    },
    secondary: {
      DEFAULT: "var(--border-button-secondary)",
      hover: "var(--border-button-secondary-hover)",
      active: "var(--border-button-secondary-active)"
    },
    danger: {
      primary: {
        DEFAULT: "var(--border-button-danger-primary)",
        hover: "var(--border-button-danger-primary-hover)",
        active: "var(--border-button-danger-primary-active)"
      },
      secondary: {
        DEFAULT: "var(--border-button-danger-secondary)",
        hover: "var(--border-button-danger-secondary-hover)",
        active: "var(--border-button-danger-secondary-active)"
      }
    }
  }
}, n0 = {
  theme: {
    extend: {
      fontFamily: qr,
      fontSize: Pr,
      lineHeight: Mr,
      colors: Or,
      textColor: Ur,
      borderColor: zr,
      backgroundColor: Rr,
      outlineColor: Nr,
      ringColor: jr
    }
  }
};
function yt(e, t = 0, r = 1e3) {
  if (r <= 0.1)
    return { value: e };
  const a = k(t);
  function n(o, l) {
    const i = Date.now(), s = r, c = l - o, f = () => {
      const u = Date.now() - i, v = Hr(u, o, c, s);
      u < s ? (a.value = Math.floor(v), window.requestAnimationFrame(f)) : a.value = l;
    };
    f();
  }
  return de(
    e,
    (o) => {
      n(a.value ?? t, o);
    },
    { immediate: !0 }
  ), { value: a };
}
function Hr(e, t, r, a) {
  return e /= a, -r * e * (e - 2) + t;
}
const Xe = /* @__PURE__ */ E({
  __name: "BccButton",
  props: {
    is: { default: "button" },
    variant: { default: "primary" },
    context: { default: "default" },
    size: { default: "base" },
    icon: {},
    iconRight: { type: Boolean, default: !1 },
    center: { type: Boolean, default: !0 },
    rounded: { type: Boolean, default: !1 },
    disabled: { type: Boolean, default: !1 },
    padding: { type: Boolean, default: !0 }
  },
  setup(e) {
    const t = e, r = Et(), a = t.icon !== void 0 && !r.default;
    return (n, o) => (d(), T(se(n.is), {
      disabled: n.disabled,
      class: C(["bcc-button", {
        "bcc-button-xs": n.size === "xs",
        "bcc-button-sm": n.size === "sm",
        "bcc-button-lg": n.size === "lg",
        "bcc-button-xl": n.size === "xl",
        "bcc-button-danger": n.context === "danger",
        "bcc-button-primary": n.variant === "primary",
        "bcc-button-secondary": n.variant === "secondary",
        "bcc-button-tertiary": n.variant === "tertiary",
        "bcc-button-no-padding": !n.padding,
        "bcc-button-icon-only": b(a),
        "bcc-button-rounded": n.rounded,
        "bcc-button-center": n.center
      }])
    }, {
      default: _(() => [
        n.icon ? (d(), T(se(n.icon), {
          key: 0,
          class: "bcc-button-icon order-2"
        })) : x("", !0),
        n.$slots.default ? (d(), p("span", {
          key: 1,
          class: C([n.iconRight ? "order-1" : "order-3"])
        }, [
          P(n.$slots, "default")
        ], 2)) : x("", !0)
      ]),
      _: 3
    }, 8, ["disabled", "class"]));
  }
});
function Oe() {
  const e = sr(), t = y(() => {
    const r = {};
    for (const a in e)
      a !== "class" && a !== "style" && (r[a] = e[a]);
    return r;
  });
  return { attrs: e, attrsWithoutStyles: t };
}
let Vr = 0;
function Ir() {
  return ++Vr;
}
function qe() {
  return Ir();
}
function Zr(e, t) {
  return d(), p("svg", {
    xmlns: "http://www.w3.org/2000/svg",
    "aria-hidden": "true",
    viewBox: "0 96 960 960",
    fill: "currentColor"
  }, [
    g("path", { d: "M480 884.957q-5.957 0-12.274-2.405-6.317-2.404-11.596-7.791L181.478 600.109q-10.435-9.996-10.435-23.889 0-13.894 10.435-24.09 10.196-10.195 23.87-10.195 13.674 0 23.87 10.195l216.717 216.478V287.435q0-14.751 9.871-24.408 9.871-9.657 24.369-9.657 14.499 0 24.195 9.82 9.695 9.821 9.695 24.245v481.173L730.782 552.13q10.196-10.195 23.87-10.195 13.674 0 24.109 10.037 10.196 10.038 10.196 23.99 0 13.951-10.196 24.147L503.87 874.761q-5.479 5.478-11.407 7.837-5.927 2.359-12.463 2.359Z" })
  ]);
}
function Wr(e, t) {
  return d(), p("svg", {
    xmlns: "http://www.w3.org/2000/svg",
    "aria-hidden": "true",
    viewBox: "0 96 960 960",
    fill: "currentColor"
  }, [
    g("path", { d: "M479.825 898.63q-14.499 0-24.195-9.82-9.695-9.821-9.695-24.245V383.152L229.218 600.109q-10.156 10.195-23.85 10.195t-23.89-10.195q-10.435-10.196-10.435-24.066 0-13.869 10.435-24.152L456.13 277.239q5.183-5.583 11.548-8.009t12.772-2.426q6.168 0 12.055 2.359 5.886 2.359 11.365 8.076l274.891 274.652q10.196 10.283 10.196 24.152 0 13.87-10.038 24.066-10.277 10.195-24.029 10.195t-23.868-10.195L514.065 383.152v481.413q0 14.424-9.871 24.245-9.871 9.82-24.369 9.82Z" })
  ]);
}
function Mt(e, t) {
  return d(), p("svg", {
    xmlns: "http://www.w3.org/2000/svg",
    "aria-hidden": "true",
    viewBox: "0 96 960 960",
    fill: "currentColor"
  }, [
    g("path", { d: "M378 802.065q-6.717 0-12.554-2.358-5.837-2.359-11.316-7.837l-181-181q-10.195-10.196-10.195-24.87 0-14.674 10.195-24.87 10.196-10.195 23.99-10.195 13.793 0 24.228 10.195L378 717.782 737.891 358.13q10.196-10.195 24.37-10.315 14.174-.119 24.369 10.315 10.196 10.196 10.196 24.49 0 14.293-10.196 24.489L401.87 791.87q-5.479 5.478-11.316 7.837-5.837 2.358-12.554 2.358Z" })
  ]);
}
function Pe(e, t) {
  return d(), p("svg", {
    xmlns: "http://www.w3.org/2000/svg",
    "aria-hidden": "true",
    viewBox: "0 96 960 960",
    fill: "currentColor"
  }, [
    g("path", { d: "M480 623.739 272.87 830.87q-10.196 10.195-23.87 10.195-13.674 0-23.87-10.195-10.195-10.196-10.195-23.87 0-13.674 10.195-23.87L432.261 576 225.13 368.87q-10.195-10.196-10.195-23.87 0-13.674 10.195-23.87 10.196-10.195 23.87-10.195 13.674 0 23.87 10.195L480 528.261 687.13 321.13q10.196-10.195 23.87-10.195 13.674 0 23.87 10.195 10.195 10.196 10.195 23.87 0 13.674-10.195 23.87L527.739 576 734.87 783.13q10.195 10.196 10.195 23.87 0 13.674-10.195 23.87-10.196 10.195-23.87 10.195-13.674 0-23.87-10.195L480 623.739Z" })
  ]);
}
function Qr(e, t) {
  return d(), p("svg", {
    xmlns: "http://www.w3.org/2000/svg",
    "aria-hidden": "true",
    viewBox: "0 96 960 960",
    fill: "currentColor"
  }, [
    g("path", { d: "M420.118 498Q446 498 464 479.882q18-18.117 18-44Q482 410 463.882 392q-18.117-18-44-18Q394 374 376 392.118q-18 18.117-18 44Q358 462 376.118 480q18.117 18 44 18Zm-80 200Q366 698 384 679.882q18-18.117 18-44Q402 610 383.882 592q-18.117-18-44-18Q314 574 296 592.118q-18 18.117-18 44Q278 662 296.118 680q18.117 18 44 18ZM600 736q17 0 28.5-11.5T640 696q0-17-11.5-28.5T600 656q-17 0-28.5 11.5T560 696q0 17 11.5 28.5T600 736ZM480.162 980.065q-83.119 0-156.836-31.858-73.717-31.859-128.696-86.837-54.978-54.979-86.837-128.741Q75.935 658.867 75.935 576q0-84.63 32.337-158.348 32.337-73.717 87.174-128.598 54.837-54.88 127.315-86.641 72.478-31.761 153-32.478 33.913 0 54.967 15.956 21.055 15.957 25.816 49.631 7.76 57.282 47.967 96.467 40.206 39.185 96.728 47.663 21.957 3 34.913 16.837 12.957 13.837 18.435 39.033 5.717 29.326 25.402 52.869 19.685 23.544 46.772 37.065 33.416 16.136 46.36 38.242 12.944 22.106 8.944 56.737-7.717 74.545-41.956 139.99-34.239 65.445-87.979 114.303-53.739 48.859-123.184 77.098-69.445 28.239-148.784 28.239Zm-.091-68.13q139.814 0 232.122-91.587 92.307-91.587 104.263-225.957-53.043-20-86.304-59.261-33.261-39.26-41.261-89.543-80.043-11.239-135.902-69.761-55.859-58.522-64.576-136.282-70.891-2.044-133.717 24-62.826 26.043-109.609 71.728-46.783 45.685-73.902 108.072-27.12 62.387-27.12 132.656 0 140.431 97.752 238.183 97.752 97.752 238.254 97.752Zm.69-340.218Z" })
  ]);
}
function Gr(e, t) {
  return d(), p("svg", {
    xmlns: "http://www.w3.org/2000/svg",
    "aria-hidden": "true",
    viewBox: "0 96 960 960",
    fill: "currentColor"
  }, [
    g("path", { d: "M483.5 623.239q14.174 0 23.87-9.821 9.695-9.82 9.695-24.244V399.239q0-13.527-10.195-23.296-10.196-9.769-24.37-9.769-14.174 0-23.87 9.821-9.695 9.82-9.695 24.244v189.935q0 13.674 10.195 23.369 10.196 9.696 24.37 9.696Zm-3.572 158.739q16.463 0 27.398-10.743 10.935-10.743 10.935-27.206 0-16.464-10.863-27.518-10.862-11.055-27.326-11.055-16.463 0-27.398 11.037-10.935 11.037-10.935 27.501 0 16.463 10.863 27.224 10.862 10.76 27.326 10.76Zm-.308 200q-85.816 0-160.008-30.998-74.193-30.998-128.893-85.699-54.701-54.7-85.699-128.893-30.998-74.192-30.998-160.008 0-85.815 30.941-159.903 30.942-74.088 85.699-128.893 54.757-54.805 128.95-86.303 74.192-31.499 160.008-31.499 85.815 0 159.916 31.468 74.102 31.467 128.916 86.268 54.815 54.801 86.29 128.883 31.476 74.083 31.476 160.099 0 85.696-31.499 159.888-31.498 74.193-86.303 128.95-54.805 54.757-128.893 85.699-74.088 30.941-159.903 30.941ZM480 576Zm-.122 337.848q139.165 0 238.568-99.163 99.402-99.163 99.402-238.565 0-139.403-99.371-238.685-99.37-99.283-238.475-99.283-139.285 0-238.567 99.253Q142.152 436.658 142.152 576q0 139.522 99.281 238.685 99.28 99.163 238.445 99.163Z" })
  ]);
}
function Kr(e, t) {
  return d(), p("svg", {
    xmlns: "http://www.w3.org/2000/svg",
    "aria-hidden": "true",
    viewBox: "0 96 960 960",
    fill: "currentColor"
  }, [
    g("path", { d: "M482.883 778.63q14.167 0 23.457-9.256 9.29-9.256 9.29-23.374V567.63q0-13.017-9.672-22.324Q496.285 536 483.117 536q-14.167 0-23.457 9.256-9.29 9.257-9.29 23.374V747q0 13.196 9.672 22.413 9.673 9.217 22.841 9.217Zm-2.862-313.043q15.533 0 26.05-10.031 10.516-10.032 10.516-25.556 0-15.794-10.531-26.69-10.532-10.897-26.056-10.897-15.794 0-26.19 10.897-10.397 10.896-10.397 26.57t10.537 25.691q10.538 10.016 26.071 10.016Zm.099 516.391q-86.316 0-160.508-30.998-74.193-30.998-128.893-85.699-54.701-54.7-85.699-128.893-30.998-74.192-30.998-160.508 0-85.315 30.941-159.403 30.942-74.088 85.699-128.893 54.757-54.805 128.95-86.303 74.192-31.499 160.508-31.499 85.315 0 159.416 31.468 74.102 31.467 128.916 86.268 54.815 54.801 86.29 128.883Q886.218 490.484 886.218 576q0 86.196-31.499 160.388-31.498 74.193-86.303 128.95-54.805 54.757-128.893 85.699-74.088 30.941-159.403 30.941ZM480 576Zm-.122 337.848q139.165 0 238.568-99.163 99.402-99.163 99.402-238.565 0-139.403-99.371-238.685-99.37-99.283-238.475-99.283-139.285 0-238.567 99.253Q142.152 436.658 142.152 576q0 139.522 99.281 238.685 99.28 99.163 238.445 99.163Z" })
  ]);
}
function Yr(e, t) {
  return d(), p("svg", {
    xmlns: "http://www.w3.org/2000/svg",
    "aria-hidden": "true",
    viewBox: "0 96 960 960",
    fill: "currentColor"
  }, [
    g("path", { d: "M222.152 981.5q-28.104 0-48.117-20.013-20.013-20.014-20.013-48.117V483.674q0-28.203 20.013-48.286 20.013-20.084 48.117-20.084h65.218v-90.739q0-80.366 56.265-136.857 56.266-56.491 136.414-56.491 80.147 0 136.364 56.491t56.217 136.857v90.739h65.218q28.202 0 48.286 20.084 20.084 20.083 20.084 48.286V913.37q0 28.103-20.084 48.117Q766.05 981.5 737.848 981.5H222.152Zm0-68.13h515.696V483.674H222.152V913.37Zm258.016-137.848q31.832 0 54.332-22.032 22.5-22.031 22.5-52.968 0-30-22.668-54.5t-54.5-24.5q-31.832 0-54.332 24.5t-22.5 55q0 30.5 22.668 52.5t54.5 22ZM355.5 415.304h249V324.62q0-52.388-36.152-88.711-36.152-36.322-88.174-36.322-52.022 0-88.348 36.322Q355.5 272.232 355.5 324.62v90.684ZM222.152 913.37V483.674 913.37Z" })
  ]);
}
function Xr(e, t) {
  return d(), p("svg", {
    xmlns: "http://www.w3.org/2000/svg",
    "aria-hidden": "true",
    viewBox: "0 96 960 960",
    fill: "currentColor"
  }, [
    g("path", { d: "M601.217 746.043q9.623 9.957 22.986 9.837 13.362-.119 24.059-10.816 10.977-10.738 11.358-24.934.38-14.195-10.337-23.913L515.63 562.461V395.587q0-13.196-9.241-22.413-9.242-9.217-23.339-9.217-14.096 0-23.388 9.256-9.292 9.256-9.292 23.374v178.935q0 6.603 2.358 12.446 2.359 5.843 6.837 11.423l141.652 146.652ZM480.033 981.978q-83.468 0-157.514-31.946t-129.32-87.211q-55.274-55.265-87.226-129.3-31.951-74.034-31.951-157.495t31.998-157.534q31.998-74.073 87.199-129.273 55.2-55.201 129.251-87.319 74.05-32.118 157.53-32.118T637.53 201.9q74.051 32.118 129.251 87.319 55.201 55.2 87.319 129.251 32.118 74.05 32.118 157.53T854.1 733.53q-32.118 74.051-87.319 129.251-55.2 55.201-129.24 87.199-74.04 31.998-157.508 31.998ZM480 576Zm-.122 337.848q139.165 0 238.568-99.163 99.402-99.163 99.402-238.565 0-139.403-99.371-238.685-99.37-99.283-238.475-99.283-139.285 0-238.567 99.253Q142.152 436.658 142.152 576q0 139.522 99.281 238.685 99.28 99.163 238.445 99.163Z" })
  ]);
}
function Jr(e, t) {
  return d(), p("svg", {
    xmlns: "http://www.w3.org/2000/svg",
    "aria-hidden": "true",
    viewBox: "0 96 960 960",
    fill: "currentColor"
  }, [
    g("path", { d: "M571.935 855.217V579.261q0-14.674 9.695-24.489 9.696-9.815 24.37-9.815 14.674 0 24.37 9.815 9.695 9.815 9.695 24.489v276.956l95.065-93.826q9.196-9.434 22.99-9.315 13.793.12 23.989 10.315 9.956 10.196 9.956 23.87 0 13.674-10.195 23.87l-151 151q-5.479 5.478-11.696 7.837-6.217 2.358-12.174 2.358-6.717 0-13.054-2.358-6.337-2.359-10.816-7.837l-152-153q-9.195-9.435-9.195-22.99 0-13.554 10.195-23.75 9.196-10.195 23.37-9.695 14.174.5 24.37 10.695l92.065 91.826Zm-254-560.673-93.065 93.065q-9.196 9.195-22.87 9.195-13.674 0-23.87-10.195-10.195-9.957-10.195-23.75 0-13.794 10.195-23.99l151-151q5.479-5.478 11.316-7.837 5.837-2.358 12.554-2.358 6.717 0 12.554 2.358 5.837 2.359 11.316 7.837l152 152q9.195 9.196 9.195 22.99 0 13.793-10.195 23.75-10.196 10.195-23.87 10.195-13.674 0-23.87-10.195l-94.065-93.065v277.195q0 14.674-9.695 24.37-9.696 9.695-24.37 9.695-14.674 0-24.37-9.695-9.695-9.696-9.695-24.37V294.544Z" })
  ]);
}
function ea(e, t) {
  return d(), p("svg", {
    xmlns: "http://www.w3.org/2000/svg",
    "aria-hidden": "true",
    viewBox: "0 96 960 960",
    fill: "currentColor"
  }, [
    g("path", { d: "M869.696 462.261q7.761 26.804 12.141 55.489 4.381 28.685 4.381 58.25 0 86.196-31.479 160.391-31.478 74.196-86.315 128.913Q713.587 920.022 639.511 951 565.435 981.978 480 981.978q-86.196 0-160.391-30.978-74.196-30.978-128.913-85.696Q135.978 810.587 105 736.391 74.022 662.196 74.022 576q0-85.435 30.978-159.511t85.696-128.913q54.717-54.837 128.913-86.315Q393.804 169.782 480 169.782q63.087 0 119.033 18.163 55.945 18.164 104.749 48.49 12.914 7.239 15.251 21.152 2.337 13.913-6.381 25.826-8.478 11.196-21.793 13.793-13.316 2.598-25.75-4.163-40.327-24.565-86.794-39.728T480 238.152q-144.043 0-240.946 96.783Q142.152 431.717 142.152 576q0 144.283 96.902 241.065Q335.957 913.848 480 913.848q144.761 0 241.185-97.022t96.424-241.304q0-23.326-2.881-44.652-2.88-21.326-8.402-42.413-2.761-15.348 3.054-28.185 5.816-12.837 18.25-18.076 12.196-4.761 25.251.315 13.054 5.076 16.815 19.75ZM396.652 737.717 277.043 617.109q-9.956-9.957-9.956-24.272 0-14.315 10.956-25.511 10.196-9.956 24.631-9.956t25.391 9.956l92.457 93.456L811.565 269.5q10.196-9.957 24.631-10.457 14.434-.5 25.391 10.457 10.957 11.196 10.957 25.63 0 14.435-10.957 25.392L444.391 737.717q-10.195 10.196-24.369 10.196t-23.37-10.196Z" })
  ]);
}
function ta(e, t) {
  return d(), p("svg", {
    xmlns: "http://www.w3.org/2000/svg",
    "aria-hidden": "true",
    viewBox: "0 96 960 960",
    fill: "currentColor"
  }, [
    g("path", { d: "M93.913 939.109q-10.311 0-17.883-4.795-7.572-4.794-11.704-12.357-4.645-7.318-5.062-16.233-.416-8.915 5.062-18.072L450.413 221q5.478-8.957 13.079-12.935 7.6-3.978 16.533-3.978 8.932 0 16.508 3.978 7.576 3.978 13.054 12.935l386.087 666.652q5.478 9.157 5.062 18.072-.417 8.915-5.062 16.233-4.174 7.467-11.725 12.309-7.551 4.843-17.862 4.843H93.913Zm54.631-65.739h662.912L480 301.022 148.544 873.37Zm335.631-54.848q12.963 0 21.872-9.085 8.91-9.085 8.91-22.047t-9.085-21.752q-9.085-8.79-22.047-8.79-12.963 0-21.872 8.965-8.91 8.966-8.91 21.928 0 12.962 9.085 21.871 9.085 8.91 22.047 8.91Zm0-110.522q12.825 0 21.325-8.625T514 678V515.913q0-12.75-8.675-21.375-8.676-8.625-21.5-8.625-12.825 0-21.325 8.625t-8.5 21.375V678q0 12.75 8.675 21.375 8.676 8.625 21.5 8.625ZM480 587.196Z" })
  ]);
}
const ra = ["for"], aa = {
  key: 0,
  class: "bcc-form-label-optional"
}, Ut = /* @__PURE__ */ E({
  __name: "BccFormLabel",
  props: {
    size: { default: "base" },
    for: {},
    showOptionalLabel: { type: Boolean, default: !1 },
    optionalLabel: { default: "Optional" }
  },
  setup(e) {
    const t = e;
    return (r, a) => (d(), p("label", {
      class: C(["bcc-form-label", { "bcc-form-label-lg": r.size === "lg" }]),
      for: t.for
    }, [
      g("span", null, [
        P(r.$slots, "default")
      ]),
      r.showOptionalLabel ? (d(), p("span", aa, O(r.optionalLabel), 1)) : x("", !0)
    ], 10, ra));
  }
}), zt = /* @__PURE__ */ E({
  __name: "BccFormMessage",
  props: {
    state: { default: "default" }
  },
  setup(e) {
    return (t, r) => (d(), p("span", {
      class: C(["bcc-form-message", {
        "bcc-form-message-default": t.state === "default",
        "bcc-form-message-error": t.state === "error",
        "bcc-form-message-success": t.state === "success"
      }])
    }, [
      P(t.$slots, "default")
    ], 2));
  }
}), na = {
  key: 0,
  class: "bcc-input-icon-wrapper"
}, oa = {
  key: 1,
  class: "bcc-input-clear-button-wrapper"
}, ia = /* @__PURE__ */ g("span", {
  class: "sr-only",
  id: "bcc-input-clear-desc"
}, "Clear input", -1), la = {
  inheritAttrs: !1
}, o0 = /* @__PURE__ */ E({
  ...la,
  __name: "BccInput",
  props: {
    modelValue: {},
    is: { default: "input" },
    state: { default: "default" },
    size: { default: "base" },
    icon: {},
    clearable: { type: Boolean, default: !1 },
    disabled: { type: Boolean, default: !1 },
    label: {},
    showOptionalLabel: { type: Boolean, default: !1 },
    optionalLabel: { default: "Optional" },
    required: { type: Boolean, default: !1 }
  },
  emits: ["update:modelValue", "clear"],
  setup(e, { emit: t }) {
    const r = e, { attrsWithoutStyles: a } = Oe(), n = `bcc-input-${qe()}`, o = y(() => r.showOptionalLabel && !r.required);
    function l() {
      t("update:modelValue", ""), t("clear");
    }
    return (i, s) => (d(), p("div", {
      class: C(["bcc-input-container", i.$attrs.class]),
      style: Be(i.$attrs.style)
    }, [
      i.label || o.value ? (d(), T(Ut, {
        key: 0,
        for: n,
        size: i.size === "lg" ? "lg" : void 0,
        showOptionalLabel: o.value,
        optionalLabel: i.optionalLabel
      }, {
        default: _(() => [
          ce(O(i.label), 1)
        ]),
        _: 1
      }, 8, ["size", "showOptionalLabel", "optionalLabel"])) : x("", !0),
      g("div", {
        class: C(["bcc-input-wrapper", {
          "bcc-input-sm": i.size === "sm",
          "bcc-input-lg": i.size === "lg"
        }])
      }, [
        i.icon && i.is !== "textarea" ? (d(), p("div", na, [
          (d(), T(se(i.icon), {
            class: C(["bcc-input-icon", { "bcc-input-icon-disabled": i.disabled }]),
            "aria-hidden": "true"
          }, null, 8, ["class"]))
        ])) : x("", !0),
        (d(), T(se(i.is), we({
          id: n,
          disabled: i.disabled,
          required: i.required,
          class: ["bcc-input", {
            "bcc-input-error": i.state === "error",
            "bcc-input-success": i.state === "success",
            "bcc-input-with-icon": i.icon && i.is !== "textarea",
            "bcc-input-clearable": i.clearable && i.is !== "textarea"
          }],
          value: i.modelValue,
          onInput: s[0] || (s[0] = (c) => t("update:modelValue", c.target.value))
        }, b(a)), null, 16, ["disabled", "required", "class", "value"])),
        i.clearable && i.modelValue && i.is !== "textarea" ? (d(), p("div", oa, [
          ia,
          q(b(Pe), {
            class: "bcc-input-clear-button",
            "aria-describedby": "bcc-input-clear-desc",
            onClick: l
          })
        ])) : x("", !0)
      ], 2),
      i.$slots.default ? (d(), T(zt, {
        key: 1,
        state: i.state
      }, {
        default: _(() => [
          P(i.$slots, "default")
        ]),
        _: 3
      }, 8, ["state"])) : x("", !0)
    ], 6));
  }
}), sa = { class: "order-2" }, i0 = /* @__PURE__ */ E({
  __name: "BccBadge",
  props: {
    icon: {},
    iconRight: { type: Boolean, default: !1 },
    size: { default: "xs" },
    context: { default: "neutral" }
  },
  setup(e) {
    return (t, r) => (d(), p("div", {
      class: C(["bcc-badge", {
        "bcc-badge-sm": t.size === "sm",
        "bcc-badge-danger": t.context === "danger",
        "bcc-badge-warning": t.context === "warning",
        "bcc-badge-success": t.context === "success",
        "bcc-badge-info": t.context === "info"
      }])
    }, [
      t.icon ? (d(), T(se(t.icon), {
        key: 0,
        class: C(["bcc-badge-icon", [t.iconRight ? "order-3" : "order-1"]])
      }, null, 8, ["class"])) : x("", !0),
      g("span", sa, [
        P(t.$slots, "default")
      ])
    ], 2));
  }
}), ca = { key: 1 }, l0 = /* @__PURE__ */ E({
  __name: "BccPin",
  props: {
    icon: {},
    context: { default: "neutral" },
    text: {}
  },
  setup(e) {
    return (t, r) => (d(), p("div", {
      class: C(["bcc-pin", {
        "bcc-pin-danger": t.context === "danger",
        "bcc-pin-warning": t.context === "warning",
        "bcc-pin-success": t.context === "success",
        "bcc-pin-info": t.context === "info"
      }])
    }, [
      t.icon ? (d(), T(se(t.icon), {
        key: 0,
        class: "bcc-pin-icon"
      })) : t.text ? (d(), p("span", ca, O(t.text), 1)) : x("", !0)
    ], 2));
  }
}), da = /* @__PURE__ */ g("circle", {
  cx: "20",
  cy: "20",
  r: "18",
  fill: "none",
  "stroke-width": "2",
  stroke: "currentColor"
}, null, -1), ua = ["stroke-dashoffset"], fa = {
  key: 1,
  "text-anchor": "middle",
  x: "20",
  y: "25",
  "font-size": "14",
  "font-weight": "600",
  fill: "currentColor",
  class: "bcc-capacity-indicator-text"
}, pa = {
  key: 2,
  d: "M14.4122 25.1588C13.1109 25.1588 12.017 24.6844 11.1305 23.7354C10.244 22.7864 9.80078 21.6525 9.80078 20.3337C9.80078 19.0287 10.2475 17.9121 11.1409 16.984C12.0343 16.0559 13.1247 15.5918 14.4122 15.5918C14.9358 15.5918 15.4424 15.679 15.9319 15.8533C16.4214 16.0277 16.8557 16.2965 17.2347 16.6597L19.0662 18.417L17.885 19.5628L16.1877 17.9045C15.9538 17.6704 15.6828 17.5015 15.3745 17.3978C15.0663 17.294 14.7475 17.2422 14.4182 17.2422C13.5803 17.2422 12.8763 17.5449 12.3063 18.1504C11.7362 18.756 11.4512 19.4851 11.4512 20.3379C11.4512 21.2047 11.7327 21.9497 12.2957 22.5732C12.8587 23.1967 13.566 23.5085 14.4176 23.5085C14.7413 23.5085 15.0554 23.4567 15.3599 23.3532C15.6644 23.2497 15.9391 23.088 16.1839 22.8681L22.7673 16.6597C23.1462 16.2965 23.5805 16.0277 24.07 15.8533C24.5596 15.679 25.0592 15.5918 25.5689 15.5918C26.8702 15.5918 27.9676 16.0559 28.861 16.984C29.7544 17.9121 30.2012 19.0287 30.2012 20.3337C30.2012 21.6525 29.7544 22.7864 28.861 23.7354C27.9676 24.6844 26.8702 25.1588 25.5689 25.1588C25.0592 25.1588 24.5561 25.0751 24.0596 24.9077C23.5631 24.7403 23.1324 24.475 22.7673 24.1117L20.9892 22.3545L22.1586 21.2087L23.8177 22.8681C24.0383 23.0885 24.3035 23.2503 24.6133 23.3536C24.9231 23.4568 25.2398 23.5085 25.5635 23.5085C26.4151 23.5085 27.1259 23.1961 27.6958 22.5714C28.2658 21.9467 28.5508 21.2021 28.5508 20.3377C28.5508 19.4872 28.2623 18.7586 27.6854 18.152C27.1085 17.5455 26.4012 17.2422 25.5635 17.2422C25.2398 17.2422 24.9257 17.3009 24.6212 17.4183C24.3167 17.5357 24.0489 17.7043 23.818 17.9242L17.2347 24.1326C16.8557 24.4819 16.418 24.7403 15.9215 24.9077C15.425 25.0751 14.9219 25.1588 14.4122 25.1588Z",
  fill: "currentColor",
  class: "bcc-capacity-indicator-text"
}, s0 = /* @__PURE__ */ E({
  __name: "BccCapacityIndicator",
  props: {
    total: {},
    used: { default: 0 },
    size: { default: "base" },
    animationDuration: { default: 1e3 }
  },
  setup(e) {
    const t = e, { value: r } = yt(
      cr(t, "used"),
      t.used,
      t.animationDuration
    ), a = y(() => t.total === -1 ? -1 : t.used > t.total || t.used === t.total ? 100 : t.total > 0 ? t.used / t.total * 100 : 0), { value: n } = yt(
      a,
      a.value,
      t.animationDuration
    ), o = Math.PI * 18 * 2;
    return (l, i) => (d(), p("svg", {
      width: "2em",
      height: "2em",
      viewBox: "0 0 40 40",
      class: C(["bcc-capacity-indicator", {
        "bcc-capacity-indicator-lg": l.size == "lg",
        "bcc-capacity-indicator-open": l.total == -1 || b(n) >= 0 && b(n) < 50,
        "bcc-capacity-indicator-warning": b(n) >= 50 && b(n) < 100,
        "bcc-capacity-indicator-full": b(n) >= 100
      }])
    }, [
      da,
      b(n) > -1 ? (d(), p("circle", {
        key: 0,
        cx: "20",
        cy: "20",
        r: "18",
        fill: "none",
        "stroke-width": "2",
        "stroke-dasharray": o,
        "stroke-dashoffset": o * ((100 - b(n)) / 100),
        stroke: "currentColor",
        transform: "rotate(-90 20 20)",
        class: "bcc-capacity-indicator-circle-used"
      }, null, 8, ua)) : x("", !0),
      b(n) > -1 ? (d(), p("text", fa, O(b(n) < 100 ? l.total - b(r) : 0), 1)) : (d(), p("path", pa))
    ], 2));
  }
}), c0 = /* @__PURE__ */ E({
  __name: "BccAvatar",
  props: {
    initials: {},
    gender: { default: "unknown" },
    child: { type: Boolean, default: !1 },
    size: { default: "sm" }
  },
  setup(e) {
    return (t, r) => (d(), p("div", {
      class: C(["bcc-avatar", {
        "bcc-avatar-xs": t.size === "xs",
        "bcc-avatar-man": !t.child && t.gender === "male",
        "bcc-avatar-woman": !t.child && t.gender === "female",
        "bcc-avatar-person": !t.child && t.gender === "unknown",
        "bcc-avatar-boy": t.child && t.gender === "male",
        "bcc-avatar-girl": t.child && t.gender === "female",
        "bcc-avatar-child": t.child && t.gender === "unknown"
      }])
    }, O(t.initials.slice(0, 2)), 3));
  }
}), ba = (e, t) => {
  const r = e.__vccOpts || e;
  for (const [a, n] of t)
    r[a] = n;
  return r;
}, va = {}, ma = {
  fill: "none",
  viewBox: "0 0 58 58",
  "aria-hidden": "true"
}, ga = /* @__PURE__ */ dr('<g transform="translate(2 1)" stroke="currentColor" stroke-width="1.5" class="h-3 w-3"><circle cx="42.601" cy="11.462" r="5" fill-opacity="1" fill="currentColor"><animate attributeName="fill-opacity" begin="0s" dur="1.3s" values="1;0;0;0;0;0;0;0" calcMode="linear" repeatCount="indefinite"></animate></circle><circle cx="49.063" cy="27.063" r="5" fill-opacity="0" fill="currentColor"><animate attributeName="fill-opacity" begin="0s" dur="1.3s" values="0;1;0;0;0;0;0;0" calcMode="linear" repeatCount="indefinite"></animate></circle><circle cx="42.601" cy="42.663" r="5" fill-opacity="0" fill="currentColor"><animate attributeName="fill-opacity" begin="0s" dur="1.3s" values="0;0;1;0;0;0;0;0" calcMode="linear" repeatCount="indefinite"></animate></circle><circle cx="27" cy="49.125" r="5" fill-opacity="0" fill="currentColor"><animate attributeName="fill-opacity" begin="0s" dur="1.3s" values="0;0;0;1;0;0;0;0" calcMode="linear" repeatCount="indefinite"></animate></circle><circle cx="11.399" cy="42.663" r="5" fill-opacity="0" fill="currentColor"><animate attributeName="fill-opacity" begin="0s" dur="1.3s" values="0;0;0;0;1;0;0;0" calcMode="linear" repeatCount="indefinite"></animate></circle><circle cx="4.938" cy="27.063" r="5" fill-opacity="0" fill="currentColor"><animate attributeName="fill-opacity" begin="0s" dur="1.3s" values="0;0;0;0;0;1;0;0" calcMode="linear" repeatCount="indefinite"></animate></circle><circle cx="11.399" cy="11.462" r="5" fill-opacity="0" fill="currentColor"><animate attributeName="fill-opacity" begin="0s" dur="1.3s" values="0;0;0;0;0;0;1;0" calcMode="linear" repeatCount="indefinite"></animate></circle><circle cx="27" cy="5" r="5" fill-opacity="0" fill="currentColor"><animate attributeName="fill-opacity" begin="0s" dur="1.3s" values="0;0;0;0;0;0;0;1" calcMode="linear" repeatCount="indefinite"></animate></circle></g>', 1), ya = [
  ga
];
function ha(e, t) {
  return d(), p("svg", ma, ya);
}
const wa = /* @__PURE__ */ ba(va, [["render", ha]]), xa = ["disabled"], ka = {
  class: "bcc-toggle-circle",
  "aria-hidden": "true"
}, Ea = {
  key: 0,
  class: "bcc-toggle-label"
}, d0 = /* @__PURE__ */ E({
  __name: "BccToggle",
  props: {
    modelValue: { type: Boolean },
    wasToggled: { type: Boolean, default: !1 },
    disabled: { type: Boolean, default: !1 },
    loading: { type: Boolean, default: !1 },
    withIcon: { type: Boolean, default: !0 },
    label: { default: "" }
  },
  emits: ["update:modelValue"],
  setup(e, { emit: t }) {
    const r = e, { modelValue: a, wasToggled: n, disabled: o, loading: l } = lt(r), i = y({
      get() {
        return !!a.value;
      },
      set(s) {
        t("update:modelValue", s);
      }
    });
    return (s, c) => (d(), p("label", {
      class: C(["bcc-toggle", { "bcc-toggle-was-toggled": b(n) }])
    }, [
      $t(g("input", {
        type: "checkbox",
        class: "bcc-toggle-input",
        disabled: b(l) || b(o),
        "onUpdate:modelValue": c[0] || (c[0] = (f) => i.value = f)
      }, null, 8, xa), [
        [Lt, i.value]
      ]),
      g("span", ka, [
        b(l) ? (d(), T(wa, {
          key: 0,
          class: "h-3 w-3"
        })) : s.withIcon ? (d(), p(ie, { key: 1 }, [
          q(b(Mt), { class: "hidden h-3 w-3 [.bcc-toggle-input:checked~.bcc-toggle-circle>&]:block" }),
          q(b(Pe), { class: "h-3 w-3 [.bcc-toggle-input:checked~.bcc-toggle-circle>&]:hidden" })
        ], 64)) : x("", !0)
      ]),
      s.label ? (d(), p("span", Ea, O(s.label), 1)) : x("", !0)
    ], 2));
  }
}), u0 = /* @__PURE__ */ E({
  __name: "BccStatusIndicator",
  props: {
    status: { default: "default" },
    icon: {},
    size: { default: "base" }
  },
  setup(e) {
    return (t, r) => (d(), p("div", {
      class: C(["bcc-status-indicator", {
        "bcc-status-indicator-lg": t.size === "lg",
        "bcc-status-indicator-success": t.status === "success",
        "bcc-status-indicator-danger": t.status === "danger"
      }])
    }, [
      t.icon ? (d(), T(se(t.icon), {
        key: 0,
        class: "bcc-status-indicator-icon"
      })) : t.status == "default" ? (d(), T(b(Xr), {
        key: 1,
        class: "bcc-status-indicator-icon"
      })) : t.status == "success" ? (d(), T(b(Mt), {
        key: 2,
        class: "bcc-status-indicator-icon"
      })) : t.status == "danger" ? (d(), T(b(Yr), {
        key: 3,
        class: "bcc-status-indicator-icon"
      })) : x("", !0)
    ], 2));
  }
}), $a = {
  key: 0,
  class: "bcc-cookie-banner-overlay"
}, La = {
  key: 0,
  class: "bcc-cookie-banner-wrapper"
}, Ta = { class: "bcc-cookie-banner" }, Ca = { class: "bcc-cookie-banner-content" }, Fa = { class: "bcc-cookie-banner-title" }, Aa = { class: "bcc-cookie-banner-actions" }, f0 = /* @__PURE__ */ E({
  __name: "BccCookieBanner",
  props: {
    open: { type: Boolean, default: !1 },
    title: {},
    showOverlay: { type: Boolean, default: !0 },
    declineButtonText: { default: "Decline" },
    acceptButtonText: { default: "Accept" }
  },
  emits: ["accept", "decline"],
  setup(e, { emit: t }) {
    return (r, a) => (d(), p(ie, null, [
      r.showOverlay ? (d(), T(bt, {
        key: 0,
        name: "fade"
      }, {
        default: _(() => [
          r.open ? (d(), p("div", $a)) : x("", !0)
        ]),
        _: 1
      })) : x("", !0),
      q(bt, { name: "fade-fast" }, {
        default: _(() => [
          r.open ? (d(), p("div", La, [
            g("div", Ta, [
              g("div", Ca, [
                g("div", Fa, [
                  q(b(Qr), { class: "bcc-cookie-banner-icon" }),
                  g("h4", null, O(r.title), 1)
                ]),
                g("p", null, [
                  P(r.$slots, "default")
                ])
              ]),
              g("div", Aa, [
                q(Xe, {
                  variant: "secondary",
                  onClick: a[0] || (a[0] = (n) => t("decline")),
                  class: "bcc-cookie-banner-decline-button"
                }, {
                  default: _(() => [
                    ce(O(r.declineButtonText), 1)
                  ]),
                  _: 1
                }),
                q(Xe, {
                  onClick: a[1] || (a[1] = (n) => t("accept")),
                  class: "bcc-cookie-banner-accept-button"
                }, {
                  default: _(() => [
                    ce(O(r.acceptButtonText), 1)
                  ]),
                  _: 1
                })
              ])
            ])
          ])) : x("", !0)
        ]),
        _: 3
      })
    ], 64));
  }
});
function W(e, t, ...r) {
  if (e in t) {
    let n = t[e];
    return typeof n == "function" ? n(...r) : n;
  }
  let a = new Error(`Tried to handle "${e}" but there is no handler defined. Only defined handlers are: ${Object.keys(t).map((n) => `"${n}"`).join(", ")}.`);
  throw Error.captureStackTrace && Error.captureStackTrace(a, W), a;
}
var _e = ((e) => (e[e.None = 0] = "None", e[e.RenderStrategy = 1] = "RenderStrategy", e[e.Static = 2] = "Static", e))(_e || {}), ee = ((e) => (e[e.Unmount = 0] = "Unmount", e[e.Hidden = 1] = "Hidden", e))(ee || {});
function z({ visible: e = !0, features: t = 0, ourProps: r, theirProps: a, ...n }) {
  var o;
  let l = Nt(a, r), i = Object.assign(n, { props: l });
  if (e || t & 2 && l.static)
    return Qe(i);
  if (t & 1) {
    let s = (o = l.unmount) == null || o ? 0 : 1;
    return W(s, { 0() {
      return null;
    }, 1() {
      return Qe({ ...n, props: { ...l, hidden: !0, style: { display: "none" } } });
    } });
  }
  return Qe(i);
}
function Qe({ props: e, attrs: t, slots: r, slot: a, name: n }) {
  var o, l;
  let { as: i, ...s } = jt(e, ["unmount", "static"]), c = (o = r.default) == null ? void 0 : o.call(r, a), f = {};
  if (a) {
    let u = !1, v = [];
    for (let [m, h] of Object.entries(a))
      typeof h == "boolean" && (u = !0), h === !0 && v.push(m);
    u && (f["data-headlessui-state"] = v.join(" "));
  }
  if (i === "template") {
    if (c = Rt(c ?? []), Object.keys(s).length > 0 || Object.keys(t).length > 0) {
      let [u, ...v] = c ?? [];
      if (!Da(u) || v.length > 0)
        throw new Error(['Passing props on "template"!', "", `The current component <${n} /> is rendering a "template".`, "However we need to passthrough the following props:", Object.keys(s).concat(Object.keys(t)).map((w) => w.trim()).filter((w, F, te) => te.indexOf(w) === F).sort((w, F) => w.localeCompare(F)).map((w) => `  - ${w}`).join(`
`), "", "You can apply a few solutions:", ['Add an `as="..."` prop, to ensure that we render an actual element instead of a "template".', "Render a single element as the child so that we can forward the props onto that element."].map((w) => `  - ${w}`).join(`
`)].join(`
`));
      let m = Nt((l = u.props) != null ? l : {}, s), h = ur(u, m);
      for (let w in m)
        w.startsWith("on") && (h.props || (h.props = {}), h.props[w] = m[w]);
      return h;
    }
    return Array.isArray(c) && c.length === 1 ? c[0] : c;
  }
  return S(i, Object.assign({}, s, f), { default: () => c });
}
function Rt(e) {
  return e.flatMap((t) => t.type === ie ? Rt(t.children) : [t]);
}
function Nt(...e) {
  if (e.length === 0)
    return {};
  if (e.length === 1)
    return e[0];
  let t = {}, r = {};
  for (let a of e)
    for (let n in a)
      n.startsWith("on") && typeof a[n] == "function" ? (r[n] != null || (r[n] = []), r[n].push(a[n])) : t[n] = a[n];
  if (t.disabled || t["aria-disabled"])
    return Object.assign(t, Object.fromEntries(Object.keys(r).map((a) => [a, void 0])));
  for (let a in r)
    Object.assign(t, { [a](n, ...o) {
      let l = r[a];
      for (let i of l) {
        if (n instanceof Event && n.defaultPrevented)
          return;
        i(n, ...o);
      }
    } });
  return t;
}
function jt(e, t = []) {
  let r = Object.assign({}, e);
  for (let a of t)
    a in r && delete r[a];
  return r;
}
function Da(e) {
  return e == null ? !1 : typeof e.type == "string" || typeof e.type == "object" || typeof e.type == "function";
}
let _a = 0;
function Sa() {
  return ++_a;
}
function ue() {
  return Sa();
}
var Ht = ((e) => (e.Space = " ", e.Enter = "Enter", e.Escape = "Escape", e.Backspace = "Backspace", e.Delete = "Delete", e.ArrowLeft = "ArrowLeft", e.ArrowUp = "ArrowUp", e.ArrowRight = "ArrowRight", e.ArrowDown = "ArrowDown", e.Home = "Home", e.End = "End", e.PageUp = "PageUp", e.PageDown = "PageDown", e.Tab = "Tab", e))(Ht || {});
function A(e) {
  var t;
  return e == null || e.value == null ? null : (t = e.value.$el) != null ? t : e.value;
}
let Vt = Symbol("Context");
var U = ((e) => (e[e.Open = 1] = "Open", e[e.Closed = 2] = "Closed", e[e.Closing = 4] = "Closing", e[e.Opening = 8] = "Opening", e))(U || {});
function Ba() {
  return dt() !== null;
}
function dt() {
  return N(Vt, null);
}
function Oa(e) {
  Z(Vt, e);
}
var qa = Object.defineProperty, Pa = (e, t, r) => t in e ? qa(e, t, { enumerable: !0, configurable: !0, writable: !0, value: r }) : e[t] = r, ht = (e, t, r) => (Pa(e, typeof t != "symbol" ? t + "" : t, r), r);
class Ma {
  constructor() {
    ht(this, "current", this.detect()), ht(this, "currentId", 0);
  }
  set(t) {
    this.current !== t && (this.currentId = 0, this.current = t);
  }
  reset() {
    this.set(this.detect());
  }
  nextId() {
    return ++this.currentId;
  }
  get isServer() {
    return this.current === "server";
  }
  get isClient() {
    return this.current === "client";
  }
  detect() {
    return typeof window > "u" || typeof document > "u" ? "server" : "client";
  }
}
let xe = new Ma();
function be(e) {
  if (xe.isServer)
    return null;
  if (e instanceof Node)
    return e.ownerDocument;
  if (e != null && e.hasOwnProperty("value")) {
    let t = A(e);
    if (t)
      return t.ownerDocument;
  }
  return document;
}
let Je = ["[contentEditable=true]", "[tabindex]", "a[href]", "area[href]", "button:not([disabled])", "iframe", "input:not([disabled])", "select:not([disabled])", "textarea:not([disabled])"].map((e) => `${e}:not([tabindex='-1'])`).join(",");
var J = ((e) => (e[e.First = 1] = "First", e[e.Previous = 2] = "Previous", e[e.Next = 4] = "Next", e[e.Last = 8] = "Last", e[e.WrapAround = 16] = "WrapAround", e[e.NoScroll = 32] = "NoScroll", e))(J || {}), It = ((e) => (e[e.Error = 0] = "Error", e[e.Overflow = 1] = "Overflow", e[e.Success = 2] = "Success", e[e.Underflow = 3] = "Underflow", e))(It || {}), Ua = ((e) => (e[e.Previous = -1] = "Previous", e[e.Next = 1] = "Next", e))(Ua || {});
function za(e = document.body) {
  return e == null ? [] : Array.from(e.querySelectorAll(Je)).sort((t, r) => Math.sign((t.tabIndex || Number.MAX_SAFE_INTEGER) - (r.tabIndex || Number.MAX_SAFE_INTEGER)));
}
var Zt = ((e) => (e[e.Strict = 0] = "Strict", e[e.Loose = 1] = "Loose", e))(Zt || {});
function Ra(e, t = 0) {
  var r;
  return e === ((r = be(e)) == null ? void 0 : r.body) ? !1 : W(t, { 0() {
    return e.matches(Je);
  }, 1() {
    let a = e;
    for (; a !== null; ) {
      if (a.matches(Je))
        return !0;
      a = a.parentElement;
    }
    return !1;
  } });
}
var Na = ((e) => (e[e.Keyboard = 0] = "Keyboard", e[e.Mouse = 1] = "Mouse", e))(Na || {});
typeof window < "u" && typeof document < "u" && (document.addEventListener("keydown", (e) => {
  e.metaKey || e.altKey || e.ctrlKey || (document.documentElement.dataset.headlessuiFocusVisible = "");
}, !0), document.addEventListener("click", (e) => {
  e.detail === 1 ? delete document.documentElement.dataset.headlessuiFocusVisible : e.detail === 0 && (document.documentElement.dataset.headlessuiFocusVisible = "");
}, !0));
function le(e) {
  e == null || e.focus({ preventScroll: !0 });
}
let ja = ["textarea", "input"].join(",");
function Ha(e) {
  var t, r;
  return (r = (t = e == null ? void 0 : e.matches) == null ? void 0 : t.call(e, ja)) != null ? r : !1;
}
function Va(e, t = (r) => r) {
  return e.slice().sort((r, a) => {
    let n = t(r), o = t(a);
    if (n === null || o === null)
      return 0;
    let l = n.compareDocumentPosition(o);
    return l & Node.DOCUMENT_POSITION_FOLLOWING ? -1 : l & Node.DOCUMENT_POSITION_PRECEDING ? 1 : 0;
  });
}
function De(e, t, { sorted: r = !0, relativeTo: a = null, skipElements: n = [] } = {}) {
  var o;
  let l = (o = Array.isArray(e) ? e.length > 0 ? e[0].ownerDocument : document : e == null ? void 0 : e.ownerDocument) != null ? o : document, i = Array.isArray(e) ? r ? Va(e) : e : za(e);
  n.length > 0 && i.length > 1 && (i = i.filter((h) => !n.includes(h))), a = a ?? l.activeElement;
  let s = (() => {
    if (t & 5)
      return 1;
    if (t & 10)
      return -1;
    throw new Error("Missing Focus.First, Focus.Previous, Focus.Next or Focus.Last");
  })(), c = (() => {
    if (t & 1)
      return 0;
    if (t & 2)
      return Math.max(0, i.indexOf(a)) - 1;
    if (t & 4)
      return Math.max(0, i.indexOf(a)) + 1;
    if (t & 8)
      return i.length - 1;
    throw new Error("Missing Focus.First, Focus.Previous, Focus.Next or Focus.Last");
  })(), f = t & 32 ? { preventScroll: !0 } : {}, u = 0, v = i.length, m;
  do {
    if (u >= v || u + v <= 0)
      return 0;
    let h = c + u;
    if (t & 16)
      h = (h + v) % v;
    else {
      if (h < 0)
        return 3;
      if (h >= v)
        return 1;
    }
    m = i[h], m == null || m.focus(f), u += s;
  } while (m !== l.activeElement);
  return t & 6 && Ha(m) && m.select(), 2;
}
function wt(e, t, r) {
  xe.isServer || V((a) => {
    document.addEventListener(e, t, r), a(() => document.removeEventListener(e, t, r));
  });
}
function Wt(e, t, r) {
  xe.isServer || V((a) => {
    window.addEventListener(e, t, r), a(() => window.removeEventListener(e, t, r));
  });
}
function Ia(e, t, r = y(() => !0)) {
  function a(o, l) {
    if (!r.value || o.defaultPrevented)
      return;
    let i = l(o);
    if (i === null || !i.getRootNode().contains(i))
      return;
    let s = function c(f) {
      return typeof f == "function" ? c(f()) : Array.isArray(f) || f instanceof Set ? f : [f];
    }(e);
    for (let c of s) {
      if (c === null)
        continue;
      let f = c instanceof HTMLElement ? c : A(c);
      if (f != null && f.contains(i) || o.composed && o.composedPath().includes(f))
        return;
    }
    return !Ra(i, Zt.Loose) && i.tabIndex !== -1 && o.preventDefault(), t(o, i);
  }
  let n = k(null);
  wt("mousedown", (o) => {
    var l, i;
    r.value && (n.value = ((i = (l = o.composedPath) == null ? void 0 : l.call(o)) == null ? void 0 : i[0]) || o.target);
  }, !0), wt("click", (o) => {
    n.value && (a(o, () => n.value), n.value = null);
  }, !0), Wt("blur", (o) => a(o, () => window.document.activeElement instanceof HTMLIFrameElement ? window.document.activeElement : null), !0);
}
var Se = ((e) => (e[e.None = 1] = "None", e[e.Focusable = 2] = "Focusable", e[e.Hidden = 4] = "Hidden", e))(Se || {});
let et = E({ name: "Hidden", props: { as: { type: [Object, String], default: "div" }, features: { type: Number, default: 1 } }, setup(e, { slots: t, attrs: r }) {
  return () => {
    let { features: a, ...n } = e, o = { "aria-hidden": (a & 2) === 2 ? !0 : void 0, style: { position: "fixed", top: 1, left: 1, width: 1, height: 0, padding: 0, margin: -1, overflow: "hidden", clip: "rect(0, 0, 0, 0)", whiteSpace: "nowrap", borderWidth: "0", ...(a & 4) === 4 && (a & 2) !== 2 && { display: "none" } } };
    return z({ ourProps: o, theirProps: n, slot: {}, attrs: r, slots: t, name: "Hidden" });
  };
} });
function Za() {
  return /iPhone/gi.test(window.navigator.platform) || /Mac/gi.test(window.navigator.platform) && window.navigator.maxTouchPoints > 0;
}
function Me() {
  let e = [], t = { addEventListener(r, a, n, o) {
    return r.addEventListener(a, n, o), t.add(() => r.removeEventListener(a, n, o));
  }, requestAnimationFrame(...r) {
    let a = requestAnimationFrame(...r);
    t.add(() => cancelAnimationFrame(a));
  }, nextFrame(...r) {
    t.requestAnimationFrame(() => {
      t.requestAnimationFrame(...r);
    });
  }, setTimeout(...r) {
    let a = setTimeout(...r);
    t.add(() => clearTimeout(a));
  }, style(r, a, n) {
    let o = r.style.getPropertyValue(a);
    return Object.assign(r.style, { [a]: n }), this.add(() => {
      Object.assign(r.style, { [a]: o });
    });
  }, group(r) {
    let a = Me();
    return r(a), this.add(() => a.dispose());
  }, add(r) {
    return e.push(r), () => {
      let a = e.indexOf(r);
      if (a >= 0)
        for (let n of e.splice(a, 1))
          n();
    };
  }, dispose() {
    for (let r of e.splice(0))
      r();
  } };
  return t;
}
var he = ((e) => (e[e.Forwards = 0] = "Forwards", e[e.Backwards = 1] = "Backwards", e))(he || {});
function Wa() {
  let e = k(0);
  return Wt("keydown", (t) => {
    t.key === "Tab" && (e.value = t.shiftKey ? 1 : 0);
  }), e;
}
function Qt(e, t, r, a) {
  xe.isServer || V((n) => {
    e = e ?? window, e.addEventListener(t, r, a), n(() => e.removeEventListener(t, r, a));
  });
}
function Gt(e) {
  typeof queueMicrotask == "function" ? queueMicrotask(e) : Promise.resolve().then(e).catch((t) => setTimeout(() => {
    throw t;
  }));
}
function Qa(e) {
  function t() {
    document.readyState !== "loading" && (e(), document.removeEventListener("DOMContentLoaded", t));
  }
  typeof window < "u" && typeof document < "u" && (document.addEventListener("DOMContentLoaded", t), t());
}
function Kt(e) {
  if (!e)
    return /* @__PURE__ */ new Set();
  if (typeof e == "function")
    return new Set(e());
  let t = /* @__PURE__ */ new Set();
  for (let r of e.value) {
    let a = A(r);
    a instanceof HTMLElement && t.add(a);
  }
  return t;
}
var Yt = ((e) => (e[e.None = 1] = "None", e[e.InitialFocus = 2] = "InitialFocus", e[e.TabLock = 4] = "TabLock", e[e.FocusLock = 8] = "FocusLock", e[e.RestoreFocus = 16] = "RestoreFocus", e[e.All = 30] = "All", e))(Yt || {});
let ge = Object.assign(E({ name: "FocusTrap", props: { as: { type: [Object, String], default: "div" }, initialFocus: { type: Object, default: null }, features: { type: Number, default: 30 }, containers: { type: [Object, Function], default: k(/* @__PURE__ */ new Set()) } }, inheritAttrs: !1, setup(e, { attrs: t, slots: r, expose: a }) {
  let n = k(null);
  a({ el: n, $el: n });
  let o = y(() => be(n)), l = k(!1);
  B(() => l.value = !0), I(() => l.value = !1), Ka({ ownerDocument: o }, y(() => l.value && !!(e.features & 16)));
  let i = Ya({ ownerDocument: o, container: n, initialFocus: y(() => e.initialFocus) }, y(() => l.value && !!(e.features & 2)));
  Xa({ ownerDocument: o, container: n, containers: e.containers, previousActiveElement: i }, y(() => l.value && !!(e.features & 8)));
  let s = Wa();
  function c(m) {
    let h = A(n);
    h && ((w) => w())(() => {
      W(s.value, { [he.Forwards]: () => {
        De(h, J.First, { skipElements: [m.relatedTarget] });
      }, [he.Backwards]: () => {
        De(h, J.Last, { skipElements: [m.relatedTarget] });
      } });
    });
  }
  let f = k(!1);
  function u(m) {
    m.key === "Tab" && (f.value = !0, requestAnimationFrame(() => {
      f.value = !1;
    }));
  }
  function v(m) {
    if (!l.value)
      return;
    let h = Kt(e.containers);
    A(n) instanceof HTMLElement && h.add(A(n));
    let w = m.relatedTarget;
    w instanceof HTMLElement && w.dataset.headlessuiFocusGuard !== "true" && (Xt(h, w) || (f.value ? De(A(n), W(s.value, { [he.Forwards]: () => J.Next, [he.Backwards]: () => J.Previous }) | J.WrapAround, { relativeTo: m.target }) : m.target instanceof HTMLElement && le(m.target)));
  }
  return () => {
    let m = {}, h = { ref: n, onKeydown: u, onFocusout: v }, { features: w, initialFocus: F, containers: te, ...R } = e;
    return S(ie, [!!(w & 4) && S(et, { as: "button", type: "button", "data-headlessui-focus-guard": !0, onFocus: c, features: Se.Focusable }), z({ ourProps: h, theirProps: { ...t, ...R }, slot: m, attrs: t, slots: r, name: "FocusTrap" }), !!(w & 4) && S(et, { as: "button", type: "button", "data-headlessui-focus-guard": !0, onFocus: c, features: Se.Focusable })]);
  };
} }), { features: Yt }), ne = [];
Qa(() => {
  function e(t) {
    t.target instanceof HTMLElement && t.target !== document.body && ne[0] !== t.target && (ne.unshift(t.target), ne = ne.filter((r) => r != null && r.isConnected), ne.splice(10));
  }
  window.addEventListener("click", e, { capture: !0 }), window.addEventListener("mousedown", e, { capture: !0 }), window.addEventListener("focus", e, { capture: !0 }), document.body.addEventListener("click", e, { capture: !0 }), document.body.addEventListener("mousedown", e, { capture: !0 }), document.body.addEventListener("focus", e, { capture: !0 });
});
function Ga(e) {
  let t = k(ne.slice());
  return de([e], ([r], [a]) => {
    a === !0 && r === !1 ? Gt(() => {
      t.value.splice(0);
    }) : a === !1 && r === !0 && (t.value = ne.slice());
  }, { flush: "post" }), () => {
    var r;
    return (r = t.value.find((a) => a != null && a.isConnected)) != null ? r : null;
  };
}
function Ka({ ownerDocument: e }, t) {
  let r = Ga(t);
  B(() => {
    V(() => {
      var a, n;
      t.value || ((a = e.value) == null ? void 0 : a.activeElement) === ((n = e.value) == null ? void 0 : n.body) && le(r());
    }, { flush: "post" });
  }), I(() => {
    t.value && le(r());
  });
}
function Ya({ ownerDocument: e, container: t, initialFocus: r }, a) {
  let n = k(null), o = k(!1);
  return B(() => o.value = !0), I(() => o.value = !1), B(() => {
    de([t, r, a], (l, i) => {
      if (l.every((c, f) => (i == null ? void 0 : i[f]) === c) || !a.value)
        return;
      let s = A(t);
      s && Gt(() => {
        var c, f;
        if (!o.value)
          return;
        let u = A(r), v = (c = e.value) == null ? void 0 : c.activeElement;
        if (u) {
          if (u === v) {
            n.value = v;
            return;
          }
        } else if (s.contains(v)) {
          n.value = v;
          return;
        }
        u ? le(u) : De(s, J.First | J.NoScroll) === It.Error && console.warn("There are no focusable elements inside the <FocusTrap />"), n.value = (f = e.value) == null ? void 0 : f.activeElement;
      });
    }, { immediate: !0, flush: "post" });
  }), n;
}
function Xa({ ownerDocument: e, container: t, containers: r, previousActiveElement: a }, n) {
  var o;
  Qt((o = e.value) == null ? void 0 : o.defaultView, "focus", (l) => {
    if (!n.value)
      return;
    let i = Kt(r);
    A(t) instanceof HTMLElement && i.add(A(t));
    let s = a.value;
    if (!s)
      return;
    let c = l.target;
    c && c instanceof HTMLElement ? Xt(i, c) ? (a.value = c, le(c)) : (l.preventDefault(), l.stopPropagation(), le(s)) : le(a.value);
  }, !0);
}
function Xt(e, t) {
  for (let r of e)
    if (r.contains(t))
      return !0;
  return !1;
}
let Ge = /* @__PURE__ */ new Map(), ye = /* @__PURE__ */ new Map();
function xt(e, t = k(!0)) {
  V((r) => {
    var a;
    if (!t.value)
      return;
    let n = A(e);
    if (!n)
      return;
    r(function() {
      var l;
      if (!n)
        return;
      let i = (l = ye.get(n)) != null ? l : 1;
      if (i === 1 ? ye.delete(n) : ye.set(n, i - 1), i !== 1)
        return;
      let s = Ge.get(n);
      s && (s["aria-hidden"] === null ? n.removeAttribute("aria-hidden") : n.setAttribute("aria-hidden", s["aria-hidden"]), n.inert = s.inert, Ge.delete(n));
    });
    let o = (a = ye.get(n)) != null ? a : 0;
    ye.set(n, o + 1), o === 0 && (Ge.set(n, { "aria-hidden": n.getAttribute("aria-hidden"), inert: n.inert }), n.setAttribute("aria-hidden", "true"), n.inert = !0);
  });
}
let Jt = Symbol("ForcePortalRootContext");
function Ja() {
  return N(Jt, !1);
}
let tt = E({ name: "ForcePortalRoot", props: { as: { type: [Object, String], default: "template" }, force: { type: Boolean, default: !1 } }, setup(e, { slots: t, attrs: r }) {
  return Z(Jt, e.force), () => {
    let { force: a, ...n } = e;
    return z({ theirProps: n, ourProps: {}, slot: {}, slots: t, attrs: r, name: "ForcePortalRoot" });
  };
} });
function en(e) {
  let t = be(e);
  if (!t) {
    if (e === null)
      return null;
    throw new Error(`[Headless UI]: Cannot find ownerDocument for contextElement: ${e}`);
  }
  let r = t.getElementById("headlessui-portal-root");
  if (r)
    return r;
  let a = t.createElement("div");
  return a.setAttribute("id", "headlessui-portal-root"), t.body.appendChild(a);
}
let er = E({ name: "Portal", props: { as: { type: [Object, String], default: "div" } }, setup(e, { slots: t, attrs: r }) {
  let a = k(null), n = y(() => be(a)), o = Ja(), l = N(tr, null), i = k(o === !0 || l == null ? en(a.value) : l.resolveTarget());
  V(() => {
    o || l != null && (i.value = l.resolveTarget());
  });
  let s = N(rt, null);
  return B(() => {
    let c = A(a);
    c && s && I(s.register(c));
  }), I(() => {
    var c, f;
    let u = (c = n.value) == null ? void 0 : c.getElementById("headlessui-portal-root");
    u && i.value === u && i.value.children.length <= 0 && ((f = i.value.parentElement) == null || f.removeChild(i.value));
  }), () => {
    if (i.value === null)
      return null;
    let c = { ref: a, "data-headlessui-portal": "" };
    return S(fr, { to: i.value }, z({ ourProps: c, theirProps: e, slot: {}, attrs: r, slots: t, name: "Portal" }));
  };
} }), rt = Symbol("PortalParentContext");
function tn() {
  let e = N(rt, null), t = k([]);
  function r(o) {
    return t.value.push(o), e && e.register(o), () => a(o);
  }
  function a(o) {
    let l = t.value.indexOf(o);
    l !== -1 && t.value.splice(l, 1), e && e.unregister(o);
  }
  let n = { register: r, unregister: a, portals: t };
  return [t, E({ name: "PortalWrapper", setup(o, { slots: l }) {
    return Z(rt, n), () => {
      var i;
      return (i = l.default) == null ? void 0 : i.call(l);
    };
  } })];
}
let tr = Symbol("PortalGroupContext"), rn = E({ name: "PortalGroup", props: { as: { type: [Object, String], default: "template" }, target: { type: Object, default: null } }, setup(e, { attrs: t, slots: r }) {
  let a = pr({ resolveTarget() {
    return e.target;
  } });
  return Z(tr, a), () => {
    let { target: n, ...o } = e;
    return z({ theirProps: o, ourProps: {}, slot: {}, attrs: t, slots: r, name: "PortalGroup" });
  };
} }), rr = Symbol("StackContext");
var at = ((e) => (e[e.Add = 0] = "Add", e[e.Remove = 1] = "Remove", e))(at || {});
function an() {
  return N(rr, () => {
  });
}
function nn({ type: e, enabled: t, element: r, onUpdate: a }) {
  let n = an();
  function o(...l) {
    a == null || a(...l), n(...l);
  }
  B(() => {
    de(t, (l, i) => {
      l ? o(0, e, r) : i === !0 && o(1, e, r);
    }, { immediate: !0, flush: "sync" });
  }), I(() => {
    t.value && o(1, e, r);
  }), Z(rr, o);
}
let ar = Symbol("DescriptionContext");
function on() {
  let e = N(ar, null);
  if (e === null)
    throw new Error("Missing parent");
  return e;
}
function ln({ slot: e = k({}), name: t = "Description", props: r = {} } = {}) {
  let a = k([]);
  function n(o) {
    return a.value.push(o), () => {
      let l = a.value.indexOf(o);
      l !== -1 && a.value.splice(l, 1);
    };
  }
  return Z(ar, { register: n, slot: e, name: t, props: r }), y(() => a.value.length > 0 ? a.value.join(" ") : void 0);
}
E({ name: "Description", props: { as: { type: [Object, String], default: "p" }, id: { type: String, default: () => `headlessui-description-${ue()}` } }, setup(e, { attrs: t, slots: r }) {
  let a = on();
  return B(() => I(a.register(e.id))), () => {
    let { name: n = "Description", slot: o = k({}), props: l = {} } = a, { id: i, ...s } = e, c = { ...Object.entries(l).reduce((f, [u, v]) => Object.assign(f, { [u]: b(v) }), {}), id: i };
    return z({ ourProps: c, theirProps: s, slot: o.value, attrs: t, slots: r, name: n });
  };
} });
function sn(e) {
  let t = br(e.getSnapshot());
  return I(e.subscribe(() => {
    t.value = e.getSnapshot();
  })), t;
}
function cn(e, t) {
  let r = e(), a = /* @__PURE__ */ new Set();
  return { getSnapshot() {
    return r;
  }, subscribe(n) {
    return a.add(n), () => a.delete(n);
  }, dispatch(n, ...o) {
    let l = t[n].call(r, ...o);
    l && (r = l, a.forEach((i) => i()));
  } };
}
function dn() {
  let e;
  return { before({ doc: t }) {
    var r;
    let a = t.documentElement;
    e = ((r = t.defaultView) != null ? r : window).innerWidth - a.clientWidth;
  }, after({ doc: t, d: r }) {
    let a = t.documentElement, n = a.clientWidth - a.offsetWidth, o = e - n;
    r.style(a, "paddingRight", `${o}px`);
  } };
}
function un() {
  if (!Za())
    return {};
  let e;
  return { before() {
    e = window.pageYOffset;
  }, after({ doc: t, d: r, meta: a }) {
    function n(l) {
      return a.containers.flatMap((i) => i()).some((i) => i.contains(l));
    }
    r.style(t.body, "marginTop", `-${e}px`), window.scrollTo(0, 0);
    let o = null;
    r.addEventListener(t, "click", (l) => {
      if (l.target instanceof HTMLElement)
        try {
          let i = l.target.closest("a");
          if (!i)
            return;
          let { hash: s } = new URL(i.href), c = t.querySelector(s);
          c && !n(c) && (o = c);
        } catch {
        }
    }, !0), r.addEventListener(t, "touchmove", (l) => {
      l.target instanceof HTMLElement && !n(l.target) && l.preventDefault();
    }, { passive: !1 }), r.add(() => {
      window.scrollTo(0, window.pageYOffset + e), o && o.isConnected && (o.scrollIntoView({ block: "nearest" }), o = null);
    });
  } };
}
function fn() {
  return { before({ doc: e, d: t }) {
    t.style(e.documentElement, "overflow", "hidden");
  } };
}
function pn(e) {
  let t = {};
  for (let r of e)
    Object.assign(t, r(t));
  return t;
}
let oe = cn(() => /* @__PURE__ */ new Map(), { PUSH(e, t) {
  var r;
  let a = (r = this.get(e)) != null ? r : { doc: e, count: 0, d: Me(), meta: /* @__PURE__ */ new Set() };
  return a.count++, a.meta.add(t), this.set(e, a), this;
}, POP(e, t) {
  let r = this.get(e);
  return r && (r.count--, r.meta.delete(t)), this;
}, SCROLL_PREVENT({ doc: e, d: t, meta: r }) {
  let a = { doc: e, d: t, meta: pn(r) }, n = [un(), dn(), fn()];
  n.forEach(({ before: o }) => o == null ? void 0 : o(a)), n.forEach(({ after: o }) => o == null ? void 0 : o(a));
}, SCROLL_ALLOW({ d: e }) {
  e.dispose();
}, TEARDOWN({ doc: e }) {
  this.delete(e);
} });
oe.subscribe(() => {
  let e = oe.getSnapshot(), t = /* @__PURE__ */ new Map();
  for (let [r] of e)
    t.set(r, r.documentElement.style.overflow);
  for (let r of e.values()) {
    let a = t.get(r.doc) === "hidden", n = r.count !== 0;
    (n && !a || !n && a) && oe.dispatch(r.count > 0 ? "SCROLL_PREVENT" : "SCROLL_ALLOW", r), r.count === 0 && oe.dispatch("TEARDOWN", r);
  }
});
function bn(e, t, r) {
  let a = sn(oe), n = y(() => {
    let o = e.value ? a.value.get(e.value) : void 0;
    return o ? o.count > 0 : !1;
  });
  return de([e, t], ([o, l], [i], s) => {
    if (!o || !l)
      return;
    oe.dispatch("PUSH", o, r);
    let c = !1;
    s(() => {
      c || (oe.dispatch("POP", i ?? o, r), c = !0);
    });
  }, { immediate: !0 }), n;
}
function vn({ defaultContainers: e = [], portals: t } = {}) {
  let r = k(null), a = be(r);
  function n() {
    var o;
    let l = [];
    for (let i of e)
      i !== null && (i instanceof HTMLElement ? l.push(i) : "value" in i && i.value instanceof HTMLElement && l.push(i.value));
    if (t != null && t.value)
      for (let i of t.value)
        l.push(i);
    for (let i of (o = a == null ? void 0 : a.querySelectorAll("html > *, body > *")) != null ? o : [])
      i !== document.body && i !== document.head && i instanceof HTMLElement && i.id !== "headlessui-portal-root" && (i.contains(A(r)) || l.some((s) => i.contains(s)) || l.push(i));
    return l;
  }
  return { resolveContainers: n, contains(o) {
    return n().some((l) => l.contains(o));
  }, mainTreeNodeRef: r, MainTreeNode() {
    return S(et, { features: Se.Hidden, ref: r });
  } };
}
var mn = ((e) => (e[e.Open = 0] = "Open", e[e.Closed = 1] = "Closed", e))(mn || {});
let nt = Symbol("DialogContext");
function ke(e) {
  let t = N(nt, null);
  if (t === null) {
    let r = new Error(`<${e} /> is missing a parent <Dialog /> component.`);
    throw Error.captureStackTrace && Error.captureStackTrace(r, ke), r;
  }
  return t;
}
let Fe = "DC8F892D-2EBD-447C-A4C8-A03058436FF4", gn = E({ name: "Dialog", inheritAttrs: !1, props: { as: { type: [Object, String], default: "div" }, static: { type: Boolean, default: !1 }, unmount: { type: Boolean, default: !0 }, open: { type: [Boolean, String], default: Fe }, initialFocus: { type: Object, default: null }, id: { type: String, default: () => `headlessui-dialog-${ue()}` } }, emits: { close: (e) => !0 }, setup(e, { emit: t, attrs: r, slots: a, expose: n }) {
  var o;
  let l = k(!1);
  B(() => {
    l.value = !0;
  });
  let i = k(0), s = dt(), c = y(() => e.open === Fe && s !== null ? (s.value & U.Open) === U.Open : e.open), f = k(null), u = y(() => be(f));
  if (n({ el: f, $el: f }), !(e.open !== Fe || s !== null))
    throw new Error("You forgot to provide an `open` prop to the `Dialog`.");
  if (typeof c.value != "boolean")
    throw new Error(`You provided an \`open\` prop to the \`Dialog\`, but the value is not a boolean. Received: ${c.value === Fe ? void 0 : e.open}`);
  let v = y(() => l.value && c.value ? 0 : 1), m = y(() => v.value === 0), h = y(() => i.value > 1), w = N(nt, null) !== null, [F, te] = tn(), { resolveContainers: R, mainTreeNodeRef: re, MainTreeNode: Ee } = vn({ portals: F, defaultContainers: [y(() => {
    var $;
    return ($ = M.panelRef.value) != null ? $ : f.value;
  })] }), $e = y(() => h.value ? "parent" : "leaf"), ve = y(() => s !== null ? (s.value & U.Closing) === U.Closing : !1), ze = y(() => w || ve.value ? !1 : m.value), Le = y(() => {
    var $, D, j;
    return (j = Array.from((D = ($ = u.value) == null ? void 0 : $.querySelectorAll("body > *")) != null ? D : []).find((H) => H.id === "headlessui-portal-root" ? !1 : H.contains(A(re)) && H instanceof HTMLElement)) != null ? j : null;
  });
  xt(Le, ze);
  let Re = y(() => h.value ? !0 : m.value), Ne = y(() => {
    var $, D, j;
    return (j = Array.from((D = ($ = u.value) == null ? void 0 : $.querySelectorAll("[data-headlessui-portal]")) != null ? D : []).find((H) => H.contains(A(re)) && H instanceof HTMLElement)) != null ? j : null;
  });
  xt(Ne, Re), nn({ type: "Dialog", enabled: y(() => v.value === 0), element: f, onUpdate: ($, D) => {
    if (D === "Dialog")
      return W($, { [at.Add]: () => i.value += 1, [at.Remove]: () => i.value -= 1 });
  } });
  let je = ln({ name: "DialogDescription", slot: y(() => ({ open: c.value })) }), fe = k(null), M = { titleId: fe, panelRef: k(null), dialogState: v, setTitleId($) {
    fe.value !== $ && (fe.value = $);
  }, close() {
    t("close", !1);
  } };
  Z(nt, M);
  let me = y(() => !(!m.value || h.value));
  Ia(R, ($, D) => {
    M.close(), vr(() => D == null ? void 0 : D.focus());
  }, me);
  let Q = y(() => !(h.value || v.value !== 0));
  Qt((o = u.value) == null ? void 0 : o.defaultView, "keydown", ($) => {
    Q.value && ($.defaultPrevented || $.key === Ht.Escape && ($.preventDefault(), $.stopPropagation(), M.close()));
  });
  let pe = y(() => !(ve.value || v.value !== 0 || w));
  return bn(u, pe, ($) => {
    var D;
    return { containers: [...(D = $.containers) != null ? D : [], R] };
  }), V(($) => {
    if (v.value !== 0)
      return;
    let D = A(f);
    if (!D)
      return;
    let j = new ResizeObserver((H) => {
      for (let Te of H) {
        let G = Te.target.getBoundingClientRect();
        G.x === 0 && G.y === 0 && G.width === 0 && G.height === 0 && M.close();
      }
    });
    j.observe(D), $(() => j.disconnect());
  }), () => {
    let { id: $, open: D, initialFocus: j, ...H } = e, Te = { ...r, ref: f, id: $, role: "dialog", "aria-modal": v.value === 0 ? !0 : void 0, "aria-labelledby": fe.value, "aria-describedby": je.value }, G = { open: v.value === 0 };
    return S(tt, { force: !0 }, () => [S(er, () => S(rn, { target: f.value }, () => S(tt, { force: !1 }, () => S(ge, { initialFocus: j, containers: R, features: m.value ? W($e.value, { parent: ge.features.RestoreFocus, leaf: ge.features.All & ~ge.features.FocusLock }) : ge.features.None }, () => S(te, {}, () => z({ ourProps: Te, theirProps: { ...H, ...r }, slot: G, attrs: r, slots: a, visible: v.value === 0, features: _e.RenderStrategy | _e.Static, name: "Dialog" })))))), S(Ee)]);
  };
} });
E({ name: "DialogOverlay", props: { as: { type: [Object, String], default: "div" }, id: { type: String, default: () => `headlessui-dialog-overlay-${ue()}` } }, setup(e, { attrs: t, slots: r }) {
  let a = ke("DialogOverlay");
  function n(o) {
    o.target === o.currentTarget && (o.preventDefault(), o.stopPropagation(), a.close());
  }
  return () => {
    let { id: o, ...l } = e;
    return z({ ourProps: { id: o, "aria-hidden": !0, onClick: n }, theirProps: l, slot: { open: a.dialogState.value === 0 }, attrs: t, slots: r, name: "DialogOverlay" });
  };
} });
E({ name: "DialogBackdrop", props: { as: { type: [Object, String], default: "div" }, id: { type: String, default: () => `headlessui-dialog-backdrop-${ue()}` } }, inheritAttrs: !1, setup(e, { attrs: t, slots: r, expose: a }) {
  let n = ke("DialogBackdrop"), o = k(null);
  return a({ el: o, $el: o }), B(() => {
    if (n.panelRef.value === null)
      throw new Error("A <DialogBackdrop /> component is being used, but a <DialogPanel /> component is missing.");
  }), () => {
    let { id: l, ...i } = e, s = { id: l, ref: o, "aria-hidden": !0 };
    return S(tt, { force: !0 }, () => S(er, () => z({ ourProps: s, theirProps: { ...t, ...i }, slot: { open: n.dialogState.value === 0 }, attrs: t, slots: r, name: "DialogBackdrop" })));
  };
} });
let yn = E({ name: "DialogPanel", props: { as: { type: [Object, String], default: "div" }, id: { type: String, default: () => `headlessui-dialog-panel-${ue()}` } }, setup(e, { attrs: t, slots: r, expose: a }) {
  let n = ke("DialogPanel");
  a({ el: n.panelRef, $el: n.panelRef });
  function o(l) {
    l.stopPropagation();
  }
  return () => {
    let { id: l, ...i } = e, s = { id: l, ref: n.panelRef, onClick: o };
    return z({ ourProps: s, theirProps: i, slot: { open: n.dialogState.value === 0 }, attrs: t, slots: r, name: "DialogPanel" });
  };
} }), hn = E({ name: "DialogTitle", props: { as: { type: [Object, String], default: "h2" }, id: { type: String, default: () => `headlessui-dialog-title-${ue()}` } }, setup(e, { attrs: t, slots: r }) {
  let a = ke("DialogTitle");
  return B(() => {
    a.setTitleId(e.id), I(() => a.setTitleId(null));
  }), () => {
    let { id: n, ...o } = e;
    return z({ ourProps: { id: n }, theirProps: o, slot: { open: a.dialogState.value === 0 }, attrs: t, slots: r, name: "DialogTitle" });
  };
} });
function wn(e) {
  let t = { called: !1 };
  return (...r) => {
    if (!t.called)
      return t.called = !0, e(...r);
  };
}
function Ke(e, ...t) {
  e && t.length > 0 && e.classList.add(...t);
}
function Ae(e, ...t) {
  e && t.length > 0 && e.classList.remove(...t);
}
var ot = ((e) => (e.Finished = "finished", e.Cancelled = "cancelled", e))(ot || {});
function xn(e, t) {
  let r = Me();
  if (!e)
    return r.dispose;
  let { transitionDuration: a, transitionDelay: n } = getComputedStyle(e), [o, l] = [a, n].map((i) => {
    let [s = 0] = i.split(",").filter(Boolean).map((c) => c.includes("ms") ? parseFloat(c) : parseFloat(c) * 1e3).sort((c, f) => f - c);
    return s;
  });
  return o !== 0 ? r.setTimeout(() => t("finished"), o + l) : t("finished"), r.add(() => t("cancelled")), r.dispose;
}
function kt(e, t, r, a, n, o) {
  let l = Me(), i = o !== void 0 ? wn(o) : () => {
  };
  return Ae(e, ...n), Ke(e, ...t, ...r), l.nextFrame(() => {
    Ae(e, ...r), Ke(e, ...a), l.add(xn(e, (s) => (Ae(e, ...a, ...t), Ke(e, ...n), i(s))));
  }), l.add(() => Ae(e, ...t, ...r, ...a, ...n)), l.add(() => i("cancelled")), l.dispose;
}
function ae(e = "") {
  return e.split(" ").filter((t) => t.trim().length > 1);
}
let ut = Symbol("TransitionContext");
var kn = ((e) => (e.Visible = "visible", e.Hidden = "hidden", e))(kn || {});
function En() {
  return N(ut, null) !== null;
}
function $n() {
  let e = N(ut, null);
  if (e === null)
    throw new Error("A <TransitionChild /> is used but it is missing a parent <TransitionRoot />.");
  return e;
}
function Ln() {
  let e = N(ft, null);
  if (e === null)
    throw new Error("A <TransitionChild /> is used but it is missing a parent <TransitionRoot />.");
  return e;
}
let ft = Symbol("NestingContext");
function Ue(e) {
  return "children" in e ? Ue(e.children) : e.value.filter(({ state: t }) => t === "visible").length > 0;
}
function nr(e) {
  let t = k([]), r = k(!1);
  B(() => r.value = !0), I(() => r.value = !1);
  function a(o, l = ee.Hidden) {
    let i = t.value.findIndex(({ id: s }) => s === o);
    i !== -1 && (W(l, { [ee.Unmount]() {
      t.value.splice(i, 1);
    }, [ee.Hidden]() {
      t.value[i].state = "hidden";
    } }), !Ue(t) && r.value && (e == null || e()));
  }
  function n(o) {
    let l = t.value.find(({ id: i }) => i === o);
    return l ? l.state !== "visible" && (l.state = "visible") : t.value.push({ id: o, state: "visible" }), () => a(o, ee.Unmount);
  }
  return { children: t, register: n, unregister: a };
}
let or = _e.RenderStrategy, it = E({ props: { as: { type: [Object, String], default: "div" }, show: { type: [Boolean], default: null }, unmount: { type: [Boolean], default: !0 }, appear: { type: [Boolean], default: !1 }, enter: { type: [String], default: "" }, enterFrom: { type: [String], default: "" }, enterTo: { type: [String], default: "" }, entered: { type: [String], default: "" }, leave: { type: [String], default: "" }, leaveFrom: { type: [String], default: "" }, leaveTo: { type: [String], default: "" } }, emits: { beforeEnter: () => !0, afterEnter: () => !0, beforeLeave: () => !0, afterLeave: () => !0 }, setup(e, { emit: t, attrs: r, slots: a, expose: n }) {
  let o = k(0);
  function l() {
    o.value |= U.Opening, t("beforeEnter");
  }
  function i() {
    o.value &= ~U.Opening, t("afterEnter");
  }
  function s() {
    o.value |= U.Closing, t("beforeLeave");
  }
  function c() {
    o.value &= ~U.Closing, t("afterLeave");
  }
  if (!En() && Ba())
    return () => S(pt, { ...e, onBeforeEnter: l, onAfterEnter: i, onBeforeLeave: s, onAfterLeave: c }, a);
  let f = k(null), u = y(() => e.unmount ? ee.Unmount : ee.Hidden);
  n({ el: f, $el: f });
  let { show: v, appear: m } = $n(), { register: h, unregister: w } = Ln(), F = k(v.value ? "visible" : "hidden"), te = { value: !0 }, R = ue(), re = { value: !1 }, Ee = nr(() => {
    !re.value && F.value !== "hidden" && (F.value = "hidden", w(R), c());
  });
  B(() => {
    let M = h(R);
    I(M);
  }), V(() => {
    if (u.value === ee.Hidden && R) {
      if (v.value && F.value !== "visible") {
        F.value = "visible";
        return;
      }
      W(F.value, { hidden: () => w(R), visible: () => h(R) });
    }
  });
  let $e = ae(e.enter), ve = ae(e.enterFrom), ze = ae(e.enterTo), Le = ae(e.entered), Re = ae(e.leave), Ne = ae(e.leaveFrom), je = ae(e.leaveTo);
  B(() => {
    V(() => {
      if (F.value === "visible") {
        let M = A(f);
        if (M instanceof Comment && M.data === "")
          throw new Error("Did you forget to passthrough the `ref` to the actual DOM node?");
      }
    });
  });
  function fe(M) {
    let me = te.value && !m.value, Q = A(f);
    !Q || !(Q instanceof HTMLElement) || me || (re.value = !0, v.value && l(), v.value || s(), M(v.value ? kt(Q, $e, ve, ze, Le, (pe) => {
      re.value = !1, pe === ot.Finished && i();
    }) : kt(Q, Re, Ne, je, Le, (pe) => {
      re.value = !1, pe === ot.Finished && (Ue(Ee) || (F.value = "hidden", w(R), c()));
    })));
  }
  return B(() => {
    de([v], (M, me, Q) => {
      fe(Q), te.value = !1;
    }, { immediate: !0 });
  }), Z(ft, Ee), Oa(y(() => W(F.value, { visible: U.Open, hidden: U.Closed }) | o.value)), () => {
    let { appear: M, show: me, enter: Q, enterFrom: pe, enterTo: $, entered: D, leave: j, leaveFrom: H, leaveTo: Te, ...G } = e, ir = { ref: f }, lr = { ...G, ...m.value && v.value && xe.isServer ? { class: C([r.class, G.class, ...$e, ...ve]) } : {} };
    return z({ theirProps: lr, ourProps: ir, slot: {}, slots: a, attrs: r, features: or, visible: F.value === "visible", name: "TransitionChild" });
  };
} }), Tn = it, pt = E({ inheritAttrs: !1, props: { as: { type: [Object, String], default: "div" }, show: { type: [Boolean], default: null }, unmount: { type: [Boolean], default: !0 }, appear: { type: [Boolean], default: !1 }, enter: { type: [String], default: "" }, enterFrom: { type: [String], default: "" }, enterTo: { type: [String], default: "" }, entered: { type: [String], default: "" }, leave: { type: [String], default: "" }, leaveFrom: { type: [String], default: "" }, leaveTo: { type: [String], default: "" } }, emits: { beforeEnter: () => !0, afterEnter: () => !0, beforeLeave: () => !0, afterLeave: () => !0 }, setup(e, { emit: t, attrs: r, slots: a }) {
  let n = dt(), o = y(() => e.show === null && n !== null ? (n.value & U.Open) === U.Open : e.show);
  V(() => {
    if (![!0, !1].includes(o.value))
      throw new Error('A <Transition /> is used but it is missing a `:show="true | false"` prop.');
  });
  let l = k(o.value ? "visible" : "hidden"), i = nr(() => {
    l.value = "hidden";
  }), s = k(!0), c = { show: o, appear: y(() => e.appear || !s.value) };
  return B(() => {
    V(() => {
      s.value = !1, o.value ? l.value = "visible" : Ue(i) || (l.value = "hidden");
    });
  }), Z(ft, i), Z(ut, c), () => {
    let f = jt(e, ["show", "appear", "unmount", "onBeforeEnter", "onBeforeLeave", "onAfterEnter", "onAfterLeave"]), u = { unmount: e.unmount };
    return z({ ourProps: { ...u, as: "template" }, theirProps: {}, slot: {}, slots: { ...a, default: () => [S(Tn, { onBeforeEnter: () => t("beforeEnter"), onAfterEnter: () => t("afterEnter"), onBeforeLeave: () => t("beforeLeave"), onAfterLeave: () => t("afterLeave"), ...r, ...u, ...f }, a.default)] }, attrs: {}, features: or, visible: l.value === "visible", name: "Transition" });
  };
} });
const Cn = { class: "flex h-screen w-screen items-center justify-center overflow-hidden" }, Fn = /* @__PURE__ */ g("div", { class: "bcc-modal-overlay" }, null, -1), An = { class: "bcc-modal-wrapper" }, Dn = {
  key: 0,
  class: "bcc-modal-header"
}, _n = {
  key: 1,
  class: "bcc-modal-body"
}, Sn = {
  key: 0,
  class: "bcc-modal-title"
}, Bn = { class: "bcc-modal-content" }, On = { class: "bcc-modal-footer" }, qn = {
  key: 0,
  class: "bcc-modal-footer-content"
}, Pn = { class: "bcc-modal-actions" }, Mn = {
  key: 0,
  class: "bcc-modal-secondary-action"
}, Un = { class: "bcc-modal-primary-action" }, p0 = /* @__PURE__ */ E({
  inheritAttrs: !1,
  __name: "BccModal",
  props: {
    open: { type: Boolean, default: !1 },
    title: {},
    closeButton: { type: Boolean, default: !0 }
  },
  emits: ["close"],
  setup(e, { emit: t }) {
    const r = e, a = Et(), n = y(() => r.closeButton && !a.header);
    return (o, l) => (d(), T(b(pt), {
      as: "template",
      show: o.open
    }, {
      default: _(() => [
        q(b(gn), {
          as: "div",
          class: "bcc-modal-overlay-wrapper",
          onClose: l[2] || (l[2] = (i) => t("close"))
        }, {
          default: _(() => [
            g("div", Cn, [
              q(b(it), {
                as: "div",
                enter: "ease-out duration-300",
                "enter-from": "opacity-0",
                "enter-to": "opacity-100",
                leave: "ease-in duration-200",
                "leave-from": "opacity-100",
                "leave-to": "opacity-0"
              }, {
                default: _(() => [
                  Fn
                ]),
                _: 1
              }),
              q(b(it), {
                as: "template",
                enter: "ease-out duration-300",
                "enter-from": "opacity-0 translate-y-4 sm:translate-y-0 sm:scale-95",
                "enter-to": "opacity-100 translate-y-0 sm:scale-100",
                leave: "ease-in duration-200",
                "leave-from": "opacity-100 translate-y-0 sm:scale-100",
                "leave-to": "opacity-0 translate-y-4 sm:translate-y-0 sm:scale-95"
              }, {
                default: _(() => [
                  g("div", An, [
                    q(b(yn), we({ class: "bcc-modal" }, o.$attrs), {
                      default: _(() => [
                        o.$slots.header ? (d(), p("div", Dn, [
                          P(o.$slots, "header")
                        ])) : x("", !0),
                        o.title || n.value || b(a).default ? (d(), p("div", _n, [
                          o.title || n.value ? (d(), p("div", Sn, [
                            q(b(hn), { as: "h3" }, {
                              default: _(() => [
                                ce(O(o.title), 1)
                              ]),
                              _: 1
                            }),
                            n.value ? (d(), p("button", {
                              key: 0,
                              onClick: l[0] || (l[0] = Tt((i) => t("close"), ["prevent"])),
                              class: "bcc-modal-close-button",
                              "aria-label": "Close modal window"
                            }, [
                              q(b(Pe), { class: "bcc-modal-close-icon" })
                            ])) : x("", !0)
                          ])) : x("", !0),
                          g("div", Bn, [
                            P(o.$slots, "default")
                          ])
                        ])) : x("", !0),
                        g("div", On, [
                          o.$slots.footer ? (d(), p("div", qn, [
                            P(o.$slots, "footer")
                          ])) : x("", !0),
                          g("div", Pn, [
                            o.$slots.secondaryAction ? (d(), p("div", Mn, [
                              P(o.$slots, "secondaryAction")
                            ])) : x("", !0),
                            g("div", Un, [
                              P(o.$slots, "primaryAction", {}, () => [
                                q(Xe, {
                                  onClick: l[1] || (l[1] = (i) => t("close"))
                                }, {
                                  default: _(() => [
                                    ce(" OK ")
                                  ]),
                                  _: 1
                                })
                              ])
                            ])
                          ])
                        ])
                      ]),
                      _: 3
                    }, 16)
                  ])
                ]),
                _: 3
              })
            ])
          ]),
          _: 3
        })
      ]),
      _: 3
    }, 8, ["show"]));
  }
}), zn = ["disabled"], Rn = {
  inheritAttrs: !1
}, b0 = /* @__PURE__ */ E({
  ...Rn,
  __name: "BccCheckbox",
  props: {
    modelValue: { type: Boolean },
    label: {},
    disabled: { type: Boolean, default: !1 },
    indeterminate: { type: Boolean, default: !1 }
  },
  emits: ["update:modelValue"],
  setup(e, { emit: t }) {
    const r = e, { modelValue: a, indeterminate: n } = lt(r), o = k(null), l = `bcc-checkbox-${qe()}`, i = y({
      get() {
        return !!a.value;
      },
      set(u) {
        t("update:modelValue", u);
      }
    });
    B(() => {
      de(
        n,
        (u) => {
          if (o.value) {
            const v = o.value;
            v.indeterminate = u;
          }
        },
        { immediate: !0 }
      );
    });
    const { attrs: s, attrsWithoutStyles: c } = Oe(), f = y(() => {
      const u = [];
      return r.disabled && u.push("bcc-checkbox-wrapper-disabled"), s.class && u.push(s.class), u;
    });
    return (u, v) => (d(), p("div", {
      class: C(["bcc-checkbox-wrapper", f.value]),
      style: Be(u.$attrs.style)
    }, [
      $t(g("input", we({
        type: "checkbox",
        class: "bcc-checkbox",
        id: l,
        disabled: u.disabled,
        "onUpdate:modelValue": v[0] || (v[0] = (m) => i.value = m)
      }, b(c), {
        ref_key: "input",
        ref: o
      }), null, 16, zn), [
        [Lt, i.value]
      ]),
      u.label ? (d(), p("label", {
        key: 0,
        for: l
      }, O(u.label), 1)) : x("", !0)
    ], 6));
  }
}), Nn = ["disabled", "value", "checked"], jn = {
  inheritAttrs: !1
}, v0 = /* @__PURE__ */ E({
  ...jn,
  __name: "BccRadio",
  props: {
    modelValue: {},
    value: {},
    label: {},
    disabled: { type: Boolean, default: !1 }
  },
  emits: ["update:modelValue"],
  setup(e, { emit: t }) {
    const r = e, a = `bcc-radio-${qe()}`, { attrs: n, attrsWithoutStyles: o } = Oe(), l = y(() => {
      const i = [];
      return r.disabled && i.push("bcc-radio-wrapper-disabled"), n.class && i.push(n.class), i;
    });
    return (i, s) => (d(), p("div", {
      class: C(["bcc-radio-wrapper", l.value]),
      style: Be(i.$attrs.style)
    }, [
      g("input", we({
        type: "radio",
        class: "bcc-radio",
        id: a,
        disabled: i.disabled,
        value: i.value,
        checked: i.modelValue == i.value,
        onInput: s[0] || (s[0] = (c) => t("update:modelValue", i.value))
      }, b(o)), null, 16, Nn),
      i.label ? (d(), p("label", {
        key: 0,
        for: a
      }, O(i.label), 1)) : x("", !0)
    ], 6));
  }
}), Hn = { key: 0 }, Vn = {
  key: 1,
  class: "bcc-alert-title"
}, In = { class: "bcc-alert-content" }, m0 = /* @__PURE__ */ E({
  __name: "BccAlert",
  props: {
    context: { default: "info" },
    icon: { type: Boolean, default: !1 },
    title: {},
    closeButton: { type: Boolean, default: !1 },
    open: { type: Boolean, default: !0 }
  },
  emits: ["close"],
  setup(e, { emit: t }) {
    return (r, a) => (d(), T(b(pt), {
      show: r.open,
      enter: "transition-opacity duration-100",
      "enter-from": "opacity-0",
      "enter-to": "opacity-100",
      leave: "transition-opacity duration-150",
      "leave-from": "opacity-100",
      "leave-to": "opacity-0"
    }, {
      default: _(() => [
        g("div", {
          class: C(["bcc-alert", {
            "bcc-alert-success": r.context == "success",
            "bcc-alert-warning": r.context == "warning",
            "bcc-alert-danger": r.context == "danger"
          }])
        }, [
          r.icon ? (d(), p("span", Hn, [
            r.context == "info" ? (d(), T(b(Kr), {
              key: 0,
              class: "bcc-alert-icon"
            })) : x("", !0),
            r.context == "success" ? (d(), T(b(ea), {
              key: 1,
              class: "bcc-alert-icon"
            })) : x("", !0),
            r.context == "warning" ? (d(), T(b(ta), {
              key: 2,
              class: "bcc-alert-icon"
            })) : x("", !0),
            r.context == "danger" ? (d(), T(b(Gr), {
              key: 3,
              class: "bcc-alert-icon"
            })) : x("", !0)
          ])) : x("", !0),
          r.title ? (d(), p("h3", Vn, O(r.title), 1)) : x("", !0),
          g("p", In, [
            P(r.$slots, "default")
          ]),
          r.closeButton ? (d(), p("button", {
            key: 2,
            onClick: a[0] || (a[0] = Tt((n) => t("close"), ["prevent"])),
            "aria-label": "Close alert",
            class: "bcc-alert-close-button"
          }, [
            q(b(Pe), { class: "bcc-alert-close-icon" })
          ])) : x("", !0)
        ], 2)
      ]),
      _: 3
    }, 8, ["show"]));
  }
}), Zn = ["value", "disabled", "required"], Wn = {
  inheritAttrs: !1
}, g0 = /* @__PURE__ */ E({
  ...Wn,
  __name: "BccSelect",
  props: {
    modelValue: {},
    state: { default: "default" },
    size: { default: "base" },
    disabled: { type: Boolean, default: !1 },
    label: {},
    showOptionalLabel: { type: Boolean, default: !1 },
    optionalLabel: { default: "Optional" },
    required: { type: Boolean, default: !1 }
  },
  emits: ["update:modelValue"],
  setup(e, { emit: t }) {
    const r = e, a = `bcc-input-${qe()}`, n = y(() => r.showOptionalLabel && !r.required), { attrsWithoutStyles: o } = Oe();
    return (l, i) => (d(), p("div", {
      class: C(["bcc-input-container", l.$attrs.class]),
      style: Be(l.$attrs.style)
    }, [
      l.label || n.value ? (d(), T(Ut, {
        key: 0,
        for: a,
        size: l.size === "lg" ? "lg" : void 0,
        showOptionalLabel: n.value,
        optionalLabel: l.optionalLabel
      }, {
        default: _(() => [
          ce(O(l.label), 1)
        ]),
        _: 1
      }, 8, ["size", "showOptionalLabel", "optionalLabel"])) : x("", !0),
      g("select", we({
        class: ["bcc-select", {
          "bcc-select-error": l.state === "error",
          "bcc-select-success": l.state === "success",
          "bcc-select-sm": l.size === "sm",
          "bcc-select-lg": l.size === "lg"
        }],
        id: a,
        value: l.modelValue,
        disabled: l.disabled,
        required: l.required,
        onInput: i[0] || (i[0] = (s) => t("update:modelValue", s.target.value))
      }, b(o)), [
        P(l.$slots, "default")
      ], 16, Zn),
      l.$slots.message ? (d(), T(zt, {
        key: 1,
        state: l.state
      }, {
        default: _(() => [
          P(l.$slots, "message")
        ]),
        _: 3
      }, 8, ["state"])) : x("", !0)
    ], 6));
  }
}), Qn = { class: "bcc-table-wrapper" }, Gn = { class: "bcc-table" }, Kn = { class: "bcc-table-header-row" }, Yn = ["onClick"], Xn = { class: "bcc-table-header-content" }, Jn = {
  key: 0,
  "aria-label": "Sort column",
  class: "bcc-table-header-sort"
}, e0 = { key: 1 }, t0 = /* @__PURE__ */ g("td", null, null, -1), y0 = /* @__PURE__ */ E({
  __name: "BccTable",
  props: {
    columns: {},
    items: {},
    sortBy: {},
    sortDirection: { default: "descending" }
  },
  emits: ["update:sortBy", "update:sortDirection"],
  setup(e, { emit: t }) {
    const r = e, { columns: a, items: n, sortBy: o, sortDirection: l } = lt(r);
    let i = k([...n.value]);
    function s() {
      i.value = [...n.value];
    }
    function c(u, v) {
      if (u.sortMethod) {
        i.value.sort(u.sortMethod);
        return;
      }
      i.value.sort((m, h) => {
        const w = m[u.key], F = h[u.key];
        return w < F ? v == "descending" ? 1 : -1 : w > F ? v == "descending" ? -1 : 1 : 0;
      });
    }
    function f(u) {
      if (u.sortable !== !1) {
        if ((o == null ? void 0 : o.value) == u.key && l.value === "descending") {
          s(), t("update:sortDirection", "descending"), t("update:sortBy", void 0);
          return;
        }
        if ((o == null ? void 0 : o.value) == u.key) {
          t("update:sortDirection", "descending"), c(u, "descending");
          return;
        }
        t("update:sortDirection", "ascending"), t("update:sortBy", u.key), c(u, "ascending");
      }
    }
    return B(() => {
      if (o != null && o.value) {
        const u = a.value.find((v) => v.key == o.value);
        c(u, l.value);
      }
    }), (u, v) => (d(), p("div", Qn, [
      g("table", Gn, [
        g("thead", null, [
          g("tr", Kn, [
            (d(!0), p(ie, null, He(b(a), (m) => (d(), p("th", {
              class: C(["bcc-table-header", { "bcc-table-header-sortable": m.sortable !== !1 }]),
              key: m.key,
              onClick: (h) => f(m)
            }, [
              g("div", Xn, [
                ce(O(m.text) + " ", 1),
                m.sortable !== !1 ? (d(), p("button", Jn, [
                  b(o) !== m.key ? (d(), T(b(Jr), {
                    key: 0,
                    class: "bcc-table-header-sort-icon bcc-table-header-sort-icon-undetermined"
                  })) : x("", !0),
                  b(o) == m.key && b(l) == "ascending" ? (d(), T(b(Wr), {
                    key: 1,
                    class: "bcc-table-header-sort-icon"
                  })) : x("", !0),
                  b(o) == m.key && b(l) == "descending" ? (d(), T(b(Zr), {
                    key: 2,
                    class: "bcc-table-header-sort-icon"
                  })) : x("", !0)
                ])) : x("", !0)
              ])
            ], 10, Yn))), 128))
          ])
        ]),
        g("tbody", null, [
          (d(!0), p(ie, null, He(b(i), (m, h) => (d(), p("tr", { key: h }, [
            (d(!0), p(ie, null, He(b(a), (w) => (d(), p("td", {
              class: "bcc-table-cell",
              key: w.key
            }, [
              u.$slots[`item.${w.key}`] ? P(u.$slots, `item.${w.key}`, {
                key: 0,
                item: m
              }) : (d(), p("span", e0, O(m[w.key]), 1))
            ]))), 128)),
            t0
          ]))), 128))
        ])
      ])
    ]));
  }
});
export {
  m0 as BccAlert,
  c0 as BccAvatar,
  i0 as BccBadge,
  Xe as BccButton,
  s0 as BccCapacityIndicator,
  b0 as BccCheckbox,
  f0 as BccCookieBanner,
  Ut as BccFormLabel,
  zt as BccFormMessage,
  o0 as BccInput,
  p0 as BccModal,
  l0 as BccPin,
  v0 as BccRadio,
  g0 as BccSelect,
  u0 as BccStatusIndicator,
  y0 as BccTable,
  d0 as BccToggle,
  n0 as bccForbundetTheme,
  a0 as tailwindPlugin,
  yt as useAnimatedNumber
};
